Attribute VB_Name = "Script_Collaborator1"
Sub Write_Collaborator1()
    Const HouseWidth = 20
    Const HouseDepth = 15
    Const BaseHeight = 12
    Const level1 = BaseHeight
    Const level2 = 2 * BaseHeight
    Const level3 = 3 * BaseHeight
    Const Level4 = 4 * BaseHeight

    Dim HouseN As Integer

        '' Try to open the output file; exit if error.
        If Not Open_Output_File("Collab1") Then
            Exit Sub
        End If
        comment "## BZFLAG WORLD FILE DATA"
        comment "# General Infrastructure"
        comment " Highway Centre"
        Box 10, 0, 28, 0, 4, 14, 2
        Box -10, 0, 28, 0, 4, 14, 2
        Box 0, 10, 28, 0, 6, 4, 2
        Box 0, -10, 28, 0, 6, 4, 2
        Box 0, 10, 25, 0, 2, 0.5, 3
        Box 10, 0, 25, 0, 0.5, 2, 3
        Box 0, -10, 25, 0, 2, 0.5, 3
        Box -10, 0, 25, 0, 0.5, 2, 3
        Box 0, 0, 24, 0, 10.5, 10.5, 1
        Box 0, 0, 23.5, 0, 7.25, 7.25, 0.5
        Box 0, 0, 23, 0, 4, 4, 0.5
        comment " Highway North"
        Box 0, 40, 28, 0, 4, 26, 2
        Box 10, 40, 28, 0, 4, 26, 2
        Box -10, 40, 28, 0, 4, 26, 2
        Box 0, 70, 25, 0, 14, 4, 5
        Box 0, 70, 11, 0, 8, 2, 4
        Pyramid 10, 70, 9, 0, 4, 4, -16, False, False, False
        Pyramid -10, 70, 9, 0, 4, 4, -16, False, False, False
        Box 10, 70, 0, 0, 2, 2, 25
        Box -10, 70, 0, 0, 2, 2, 25
        Box 0, 100, 13, 0, 4, 28, 2
        Box 10, 100, 28, 0, 4, 26, 2
        Box -10, 100, 28, 0, 4, 26, 2
        Box 5, 108, 14, 0, 1, 2, 1
        Box 8, 100, 14, 0, 2, 10, 1
        Box 5, 92, 14, 0, 1, 2, 1
        Box -5, 108, 14, 0, 1, 2, 1
        Box -8, 100, 14, 0, 2, 10, 1
        Box -5, 92, 14, 0, 1, 2, 1
        Box 0, 130, 25, 0, 14, 4, 5
        Box 0, 130, 11, 0, 8, 2, 4
        Pyramid 10, 130, 9, 0, 4, 4, -16, False, False, False
        Pyramid -10, 130, 9, 0, 4, 4, -16, False, False, False
        Box 10, 130, 0, 0, 2, 2, 25
        Box -10, 130, 0, 0, 2, 2, 25
        Box 10, 160, 28, 0, 4, 26, 2
        Box -10, 160, 28, 0, 4, 26, 2
        Box 0, 216, 13, 0, 4, 84, 2
        Box 0, 290, 0, 0, 2, 6.5, 13
        Box 0, 270, 0, 0, 2, 6.5, 13
        Box 0, 250, 0, 0, 2, 6.5, 13
        comment " Highway East"
        Box 40, 0, 28, 0, 26, 4, 2
        Box 40, 10, 28, 0, 26, 4, 2
        Box 40, -10, 28, 0, 26, 4, 2
        Box 70, 0, 25, 0, 4, 14, 5
        Box 70, 0, 11, 0, 2, 8, 4
        Pyramid 70, 10, 9, 0, 4, 4, -16, False, False, False
        Pyramid 70, -10, 9, 0, 4, 4, -16, False, False, False
        Box 70, 10, 0, 0, 2, 2, 25
        Box 70, -10, 0, 0, 2, 2, 25
        Box 100, 0, 13, 0, 28, 4, 2
        Box 100, 10, 28, 0, 26, 4, 2
        Box 100, -10, 28, 0, 26, 4, 2
        Box 108, 5, 14, 0, 2, 1, 1
        Box 100, 8, 14, 0, 10, 2, 1
        Box 92, 5, 14, 0, 2, 1, 1
        Box 108, -5, 14, 0, 2, 1, 1
        Box 100, -8, 14, 0, 10, 2, 1
        Box 92, -5, 14, 0, 2, 1, 1
        Box 130, 0, 25, 0, 4, 14, 5
        Box 130, 0, 11, 0, 2, 8, 4
        Pyramid 130, 10, 9, 0, 4, 4, -16, False, False, False
        Pyramid 130, -10, 9, 0, 4, 4, -16, False, False, False
        Box 130, 10, 0, 0, 2, 2, 25
        Box 130, -10, 0, 0, 2, 2, 25
        Box 160, 10, 28, 0, 26, 4, 2
        Box 160, -10, 28, 0, 26, 4, 2
        Box 216, 0, 13, 0, 84, 4, 2
        Box 290, 0, 0, 0, 6.5, 2, 13
        Box 270, 0, 0, 0, 6.5, 2, 13
        Box 250, 0, 0, 0, 6.5, 2, 13
        comment " Highway South"
        Box 0, -40, 28, 0, 4, 26, 2
        Box 10, -40, 28, 0, 4, 26, 2
        Box -10, -40, 28, 0, 4, 26, 2
        Box 0, -70, 25, 0, 14, 4, 5
        Box 0, -70, 11, 0, 8, 2, 4
        Pyramid 10, -70, 9, 0, 4, 4, -16, False, False, False
        Pyramid -10, -70, 9, 0, 4, 4, -16, False, False, False
        Box 10, -70, 0, 0, 2, 2, 25
        Box -10, -70, 0, 0, 2, 2, 25
        Box 0, -100, 13, 0, 4, 28, 2
        Box 10, -100, 28, 0, 4, 26, 2
        Box -10, -100, 28, 0, 4, 26, 2
        Box 5, -108, 14, 0, 1, 2, 1
        Box 8, -100, 14, 0, 2, 10, 1
        Box 5, -92, 14, 0, 1, 2, 1
        Box -5, -108, 14, 0, 1, 2, 1
        Box -8, -100, 14, 0, 2, 10, 1
        Box -5, -92, 14, 0, 1, 2, 1
        Box 0, -130, 25, 0, 14, 4, 5
        Box 0, -130, 11, 0, 8, 2, 4
        Pyramid 10, -130, 9, 0, 4, 4, -16, False, False, False
        Pyramid -10, -130, 9, 0, 4, 4, -16, False, False, False
        Box 10, -130, 0, 0, 2, 2, 25
        Box -10, -130, 0, 0, 2, 2, 25
        Box 10, -160, 28, 0, 4, 26, 2
        Box -10, -160, 28, 0, 4, 26, 2
        Box 0, -216, 13, 0, 4, 84, 2
        Box 0, -290, 0, 0, 2, 6.5, 13
        Box 0, -270, 0, 0, 2, 6.5, 13
        Box 0, -250, 0, 0, 2, 6.5, 13
        comment " Highway West"
        Box -40, 0, 28, 0, 26, 4, 2
        Box -40, 10, 28, 0, 26, 4, 2
        Box -40, -10, 28, 0, 26, 4, 2
        Box -70, 0, 25, 0, 4, 14, 5
        Box -70, 0, 11, 0, 2, 8, 4
        Pyramid -70, 10, 9, 0, 4, 4, -16, False, False, False
        Pyramid -70, -10, 9, 0, 4, 4, -16, False, False, False
        Box -70, 10, 0, 0, 2, 2, 25
        Box -70, -10, 0, 0, 2, 2, 25
        Box -100, 0, 13, 0, 28, 4, 2
        Box -100, 10, 28, 0, 26, 4, 2
        Box -100, -10, 28, 0, 26, 4, 2
        Box -108, 5, 14, 0, 2, 1, 1
        Box -100, 8, 14, 0, 10, 2, 1
        Box -92, 5, 14, 0, 2, 1, 1
        Box -108, -5, 14, 0, 2, 1, 1
        Box -100, -8, 14, 0, 10, 2, 1
        Box -92, -5, 14, 0, 2, 1, 1
        Box -130, 0, 25, 0, 4, 14, 5
        Box -130, 0, 11, 0, 2, 8, 4
        Pyramid -130, 10, 9, 0, 4, 4, -16, False, False, False
        Pyramid -130, -10, 9, 0, 4, 4, -16, False, False, False
        Box -130, 10, 0, 0, 2, 2, 25
        Box -130, -10, 0, 0, 2, 2, 25
        Box -160, 10, 28, 0, 26, 4, 2
        Box -160, -10, 28, 0, 26, 4, 2
        Box -216, 0, 13, 0, 84, 4, 2
        Box -290, 0, 0, 0, 6.5, 2, 13
        Box -270, 0, 0, 0, 6.5, 2, 13
        Box -250, 0, 0, 0, 6.5, 2, 13
        comment " Highway Teleporters East and West (High)"
        Teleporter 185.5, 10, 30, 0, 0.5, 2, 20.5, 1
        Teleporter 185.5, -10, 30, 0, 0.5, 2, 20.5, 1
        Teleporter -185.5, 10, 30, 180, 0.5, 2, 20.5, 1
        Teleporter -185.5, -10, 30, 180, 0.5, 2, 20.5, 1
        makelink 0, 4
        makelink 1, 5
        makelink 2, 6
        makelink 3, 7
        makelink 4, 0
        makelink 5, 1
        makelink 6, 2
        makelink 7, 3
        comment " Highway Teleporters North and South (High)"
        Teleporter 10, 185.5, 30, 90, 0.5, 2, 20.5, 1
        Teleporter -10, 185.5, 30, 90, 0.5, 2, 20.5, 1
        Teleporter 10, -185.5, 30, 270, 0.5, 2, 20.5, 1
        Teleporter -10, -185.5, 30, 270, 0.5, 2, 20.5, 1
        makelink 8, 12
        makelink 9, 13
        makelink 10, 14
        makelink 11, 15
        makelink 12, 8
        makelink 13, 9
        makelink 14, 10
        makelink 15, 11
        comment " Highway Teleporters East and West (Low)"
        Teleporter 299.5, 0, 15, 0, 0.5, 2, 20.5, 1
        Teleporter -299.5, 0, 15, 180, 0.5, 2, 20.5, 1
        makelink 16, 18
        makelink 17, 19
        makelink 18, 16
        makelink 19, 17
        comment " Highway Teleporters North and South (Low)"
        Teleporter 0, 299.5, 15, 90, 0.5, 2, 20.5, 1
        Teleporter 0, -299.5, 15, 270, 0.5, 2, 20.5, 1
        makelink 20, 22
        makelink 21, 23
        makelink 22, 20
        makelink 23, 21
        comment "# Sector 40,40 to 400,400 (Dutchrai)"
        comment "# Sector 40,-40 to 400,-400 (ducatiwannabe)"
        comment "# Sector -40,-40 to -400,-400 (The Purple Panzer)"
        comment "# Sector -40,40 to -400,400 (sid6.7)"
        
        ''My Section
        Dim shrink As Integer
        shrink = 10
        Box -160 + shrink, -45, 0, 0, 55 - shrink, 5, 45
        Box -98, -54, 0, 45 + 90, 15, 5, 45
        
        Box -45, -160 + shrink, 0, 0, 5, 55 - shrink, 45
        Box -54, -98, 0, 45 + 90, 15, 5, 45
        

'       Replace above facial stuff with arch
        'arch   x, y, z, theta, gateheight, gatewidth, thickness, border
        
        define_component "Portcullis Gate"
            Dim GlobalWidth, GlobalHeight, iwidth, ilength, numports, pspace, psize
            Dim halfport, p2size, p2height
            
            GlobalWidth = 32 - 9
            GlobalHeight = 20
        
            'MinArch   x, y, z, theta, gateheight, gatewidth, thickness, border
            MinArch 0, 0, GlobalHeight, 0, 20, GlobalWidth, 10, 5
            
            'Portcullis
            pspace = 2
            psize = 0.1
            p2height = 1.9
            p2size = psize * 2.7
            numports = GlobalWidth / pspace
            halfports = CInt(numports / 2#)
            For i = -halfports To halfports
                Box i * pspace, 0, GlobalHeight * 1.1 - 2 * pspace, 45, psize, psize, GlobalHeight * 0.7 + 2 * pspace
                Pyramid i * pspace, 0, GlobalHeight * 1.2 - 3.5 * pspace, 45, p2size, p2size, -p2height
            Next i
            
            numports = GlobalHeight / pspace
            halfports = CInt(numports / 2#)
            For i = 0 To numports - 2
                Box 0, 0, GlobalHeight + i * pspace, 0, GlobalWidth / 2#, psize, psize
            Next i
            
            'Shooting platform
            iwidth = 10
            ilength = 8
            Box 0, -iwidth, 24, 0, ilength, iwidth, psize

        end_component
        Place_Component "Portcullis Gate", -75, -75, 0, 45 - 90
        'testing: Place_Component "Portcullis Gate", 175, 175, 0, 45
        
        
        
        'Box towers near gate
        'Full height
        Box -87.5, -62, 0, 45, 6 + 0.5, 6 + 0.5, 52
        Box -62, -87.5, 0, 45, 6 + 0.5, 6 + 0.5, 52
      
        'Eye pyramids
        Pyramid -87.5 + 3, -62 + 3, 47, 0, 4, 4, 5
        Pyramid (-62 + 3), (-87.5 + 3), 47, 0, 4, 4, 5
        Pyramid -87.5 + 3 + 2, -62 + 3 + 2, 47 - 6, 0, 1, 1, -6
        Pyramid -62 + 3 + 2, -87.5 + 3 + 2, 47 - 6, 0, 1, 1, -6
        
        'Fill in box
        Box -75, -75, 36 - 4, 45 + 90, 12, 5, 14 + 4
        
        
        'Nose
        'Box -65, -65, 25, 45, 2, 2, 10
        Pyramid -72, -72, 25 + 10 + 3, 0, 4, 4, 10, True, True
        
        'Keystone/HAT
        Dim HAT_z
        HAT_z = 60 'WAS 52
        Box -75, -75, HAT_z, 45 + 90, 15, 4, 1
        Pyramid -75, -75, HAT_z + 1, 45 + 90, 15, 4, 15, True, True
        
        'Platforms to shoot at highways
        Box -91, -50, 28, 45 + 90, 12, 5 + 7, 2
        Box -50, -91, 28, 45 + 90, 12, 5 + 7, 2
        
        Teleporter -91 + 9, -50 + 7, 28 + 2, 45, 0.45, 9, 10, 0.5, "HGun1"
        Teleporter -50 + 9, -91 + 7, 28 + 2, 45, 0.45, 9, 10, 0.5, "HGun2"
        
        make_teleporter_link "HGun1", 2, "HGun2", 1
        make_teleporter_link "HGun2", 2, "HGun1", 1
        make_teleporter_link "HGun1", 1, "HGun1", 1
        make_teleporter_link "HGun2", 1, "HGun2", 1
        
        'Double Pyramid-topped platforms
        Box -240 - 14, -44, 13, 0, 15, 15, 2
        Pyramid -240 - 14, -44, 15, 0, 15, 15, 72 - 15, False, True
        Pyramid -240 - 14, -44, 0, 0, 20, 20, 40, False, True
        
         Box -44, -240, 13, 0, 15, 15, 2
        Pyramid -44, -240, 15, 0, 15, 15, 72 - 15, False, True
        Pyramid -44, -240, 0, 0, 20, 20, 40, False, True
       
       'Upper left side
       Box -197.5, -56, 0, 63.5, 15, 5, 45
       
       
       'center
       'Box -110, -110, 0, 0, 15, 15, 15
       define_component "BigMadCity Tower"
            Const mt_W = 6 * 12     'Base width
            Const mt_Z = 15         'Floor heights
            Dim fullsize, dx, dy, dsizeX, dsizeY
            Dim twidth
            
            'Tower Base
            Box 0, 0, 0, 0, mt_W - 4, mt_W - 4, mt_Z
            
            'Hollow this layer (1)
            twidth = mt_W - 12
            
            fullsize = mt_W - (1 * 12)
            hallsize = 12
            dsizeX = (fullsize - hallsize) / 2
            dsizeY = dsizeX
            dx = dsizeX + (hallsize / 2#)
            dy = dsizeX + (hallsize / 2#)
            Box 0 + dx, 0 + dy, mt_Z, 0, dsizeX, dsizeX, 15
            Box 0 + dx, 0 - dy, mt_Z, 0, dsizeX, dsizeX, 15
            Box 0 - dx, 0 + dy, mt_Z, 0, dsizeX, dsizeX, 15
            Box 0 - dx, 0 - dy, mt_Z, 0, dsizeX, dsizeX, 15
            
            'Roof this
            Dim rsize
            rsize = 12
            Box 0, 0, mt_Z + 13, 0, dx + dsizeX, dy + dsizeX, 2
          
            'Make this triple tunneled
            i = 2
                'Box 0, 0, i * mt_Z, 0, mt_W - (i * 12), mt_W - (i * 14), mt_Z
                twidth = mt_W - 12
                
                fullsize = mt_W - (i * 12) - 9
                hallsize = 18 + 4
                dsizeX = (fullsize - hallsize) / 2
                dsizeY = dsizeX
                dx = dsizeX + hallsize '(hallsize / 2#)
                dy = dsizeX + hallsize '(hallsize / 2#)
                Box 0 + dx, 0 + dy, i * mt_Z, 0, dsizeX, dsizeX, 15
                Box 0 + dx, 0 - dy, i * mt_Z, 0, dsizeX, dsizeX, 15
                Box 0 - dx, 0 + dy, i * mt_Z, 0, dsizeX, dsizeX, 15
                Box 0 - dx, 0 - dy, i * mt_Z, 0, dsizeX, dsizeX, 15
                
                Box -dx, 0, i * mt_Z, 0, dsizeX, dsizeX, 15
                Box dx, 0, i * mt_Z, 0, dsizeX, dsizeX, 15
                Box 0, dy, i * mt_Z, 0, dsizeX, dsizeX, 15
                Box 0, -dy, i * mt_Z, 0, dsizeX, dsizeX, 15
                
                
                'Roof this
                rsize = 12
            Box 0, 0, i * mt_Z + 13, 0, dx + dsizeX, dy + dsizeY, 2
            
            
            i = 3
            
'            Box 0, 0, i * mt_Z, 0, mt_W - (i * 12), mt_W - (i * 14), mt_Z
            'Instead, do a hollow floor again!
                        'Hollow this layer (1)
                    twidth = mt_W - 12
                    
                    fullsize = mt_W - (i * 12)
                    hallsize = 18
                    dsizeX = (fullsize - hallsize) / 2
                    dsizeY = dsizeX
                    dx = dsizeX + (hallsize / 2#)
                    dy = dsizeX + (hallsize / 2#)
                    Box 0 + dx, 0 + dy, i * mt_Z, 0, dsizeX, dsizeX, 15
                    Box 0 + dx, 0 - dy, i * mt_Z, 0, dsizeX, dsizeX, 15
                    Box 0 - dx, 0 + dy, i * mt_Z, 0, dsizeX, dsizeX, 15
                    Box 0 - dx, 0 - dy, i * mt_Z, 0, dsizeX, dsizeX, 15
                    
                    'Roof this
                    rsize = 12
'                    Box 0 + dx, 0, i * mt_Z + 13, 0, dsizeX, dsizeY, 2
'                    Box 0 - dx, 0, i * mt_Z + 13, 0, dsizeX, dsizeY, 2
'                    Box 0, 0 + dy, i * mt_Z + 13, 0, dsizeX, dsizeY, 2
'                    Box 0, 0 - dy, i * mt_Z + 13, 0, dsizeX, dsizeY, 2
            Box 0, 0, i * mt_Z + 13, 0, dx + dsizeX, dy + dsizeY, 2
            
            i = 4
            Box 0, 0, i * mt_Z, 0, mt_W - (i * 14), mt_W - (i * 14), mt_Z
            
            'Top pyramid
            Pyramid 0, 0, 5 * mt_Z, 0, 16, 16, 20, True, True, False
            
    
           
       end_component
       Place_Component "BigMadCity Tower", -200, -200, 0, 0
       
       'roadway linkup
       Box -70, -200, 13, 0, 70, 4, 2
       
       'tower, roadway
       Box -195, -79, 0, 0, 15, 17, 45 'big box
       Box -195, -140, 43, 0, 6, 60, 2 'roadway
       Box -195 + 5, -125, 43, 0, 1, 33, 6 'wall1
       Box -195 - 5, -125, 43, 0, 1, 33, 6 'wall2
       
       Pyramid -200 - 2, -92.5, 45, 0, 3, 3, 20 'pyramids gate1
       Pyramid -190 + 2, -92.5, 45, 0, 3, 3, 20
       
       Pyramid -200 - 2, -125 - 32.5, 45, 0, 3, 3, 20 'pyramids gate2
       Pyramid -190 + 2, -125 - 32.5, 45, 0, 3, 3, 20
    'support
    Box -85, -200, 0, 0, 2, 2, 13
    Pyramid -85, -200, -3 + 6, 0, 4, 4, -10, False, False, False

       'destination (north west block)
       Box -325, -77, 0, 0, 25, 25, 30
       Box -325 - 7, -77 + 7, 30, 0, 12, 12, 15
       Box -325 - 7 - 14, -77 + 7 + 14, 0, 0, 16, 16, 15
       
       'roadway
       Box -280, -120, 28, 45 + 90, 42, 6, 2
       Box -280 + 4 + 2, -120 + 4 - 2, 28, 45 + 90, 40, 1, 6
       Box -280 - 4 + 2, -120 - 4 - 2, 28, 45 + 90, 40, 1, 6
       
       Pyramid -304.5 + 2, -89.5 + 2, 30, 135, 3, 3, 20
       Pyramid -310.5 - 2, -96 - 2, 30, 135, 3, 3, 20
       
       Pyramid -247 + 2, -147 + 2, 30, 135, 3, 3, 20
       Box -247 + 2, -147 + 2, 15, 135, 3, 3, 30 - 15
       Pyramid -253.5 - 2, -153 - 2, 30, 135, 3, 3, 20
       Box -253.5 - 2, -153 - 2, 15, 135, 3, 3, 30 - 15
       

       
''''xxx
    define_component "Highway"
        comment " Highway Centre"
        Box 10, 0, 28, 0, 4, 14, 2
        Box -10, 0, 28, 0, 4, 14, 2
        Box 0, 10, 28, 0, 6, 4, 2
        Box 0, 10, 25, 0, 2, 0.5, 3
        'Box 10, 0, 25, 0, 0.5, 2, 3
        'Box 0, -10, 25, 0, 2, 0.5, 3
        'Box -10, 0, 25, 0, 0.5, 2, 3
        
        comment " Highway North"
        Box 10, 40, 28, 0, 4, 26, 2
        Box -10, 40, 28, 0, 4, 26, 2
        
        Box 0, 70, 25, 0, 14, 4, 5
        Box 0, 70, 11, 0, 8, 2, 4
        Pyramid 10, 70, 9, 0, 4, 4, -16, False, False, False
        Pyramid -10, 70, 9, 0, 4, 4, -16, False, False, False
        Box 10, 70, 0, 0, 2, 2, 25
        Box -10, 70, 0, 0, 2, 2, 25
        
        Box 10, 100, 28, 0, 4, 26, 2
        Box -10, 100, 28, 0, 4, 26, 2
        Box 0, 130, 25, 0, 14, 4, 5
        Box 0, 130, 11, 0, 8, 2, 4
        Pyramid 10, 130, 9, 0, 4, 4, -16, False, False, False
        Pyramid -10, 130, 9, 0, 4, 4, -16, False, False, False
        Box 10, 130, 0, 0, 2, 2, 25
        Box -10, 130, 0, 0, 2, 2, 25
        Box 10, 160, 28, 0, 4, 26, 2
        Box -10, 160, 28, 0, 4, 26, 2
        
        Box 0, 10, 25, 0, 14, 4, 5
        Box 0, 10, 11, 0, 8, 2, 4
        Pyramid 10, 10, 9, 0, 4, 4, -16, False, False, False
        Pyramid -10, 10, 9, 0, 4, 4, -16, False, False, False
        Box 10, 10, 0, 0, 2, 2, 25
        Box -10, 10, 0, 0, 2, 2, 25

    end_component
    Place_Component "Highway", -370, -370, 0, 45 + 90 + 180
    Dim eBoxSize
    eBoxSize = 16
    Box -400 + eBoxSize, -400 + eBoxSize, 25, 0, 14, 14, 5
    Box -400 + eBoxSize, -400 + eBoxSize, 0, 0, 5, 5, 25

''' Internal pyramids (just inside gate)
    Pyramid -137, -90, 0, 0, 10, 10, 20
    Pyramid -90, -137, 0, 0, 10, 10, 20
    Box -156, -60, 0, 0, 15, 10, 15
    Box -156, -55, 15, 0, 8, 8, 15
    
    'Intermediate structure
    'Box -325, -200, 40, 0, 20, 30, 2
     Box -325, -200, 0, 0, 20, 30, 15
     Box -325, -200, 15, 0, 10, 15, 15
     Pyramid -325 - 20, -200 - 30, 0, 0, 4, 4, 50
     Pyramid -325 - 20, -200 + 30, 0, 0, 4, 4, 50
     Pyramid -325 + 20, -200 - 30, 0, 0, 4, 4, 50
     Pyramid -325 + 20, -200 + 30, 0, 0, 4, 4, 50
     
     Pyramid -325 - 10, -200 - 15, 15, 0, 4, 4, 50
     Pyramid -325 - 10, -200 + 15, 15, 0, 4, 4, 50
     Pyramid -325 + 10, -200 - 15, 15, 0, 4, 4, 50
     Pyramid -325 + 10, -200 + 15, 15, 0, 4, 4, 50
     Box -283, -199, 13, -90, 5, 30, 2
    

    Rnd (-10)
    Randomize 10
    Rnd (32)
    collaborator_build_town -130, -335 - 7
    'straight_wall x1, y1, x2, y2, startz, width, Height, numtowers, crenelbool, crenopenwidth, crenclosedwidth, crensize

    straight_wall -50, -250, -50, -360, 0, 2, 20, 2, True, 3, 1, 0, 0
    tower -50, -390, 0, 0, 8, 26, True
    Box -50, -360 - 15, 17, 0, 3, 15, 5
    
    'my garage link thing
    Box -252, -345, 12, 0, 30, 30, 2
    Box -252, -345, 24, 0, 20, 20, 2
    Box -252, -345, 36, 0, 10, 10, 2
    'Corner supports
    Box -252 - 30, -345 - 30, 0, 0, 4, 4, 16
    Box -252 - 30, -345 + 30, 0, 0, 4, 4, 16
    Box -252 + 30, -345 - 30, 0, 0, 4, 4, 16
    Box -252 + 30, -345 + 30, 0, 0, 4, 4, 16
    
    Box -252 - 20, -345 - 20, 12, 0, 4, 4, 16
    Box -252 - 20, -345 + 20, 12, 0, 4, 4, 16
    Box -252 + 20, -345 - 20, 12, 0, 4, 4, 16
    Box -252 + 20, -345 + 20, 12, 0, 4, 4, 16
   
    Box -252 - 10, -345 - 10, 24, 0, 4, 4, 16
    Box -252 - 10, -345 + 10, 24, 0, 4, 4, 16
    Box -252 + 10, -345 - 10, 24, 0, 4, 4, 16
    Box -252 + 10, -345 + 10, 24, 0, 4, 4, 16
    Pyramid -242, -366, 0, 45, 4, 4, 65
    Box -242, -366, 55, 45, 2, 2, 4
   
    Box -235, -290, 12, 0, 5, 30, 2
    
    Box -138, -267.5, 58, -139, 4, 60, 2
    Box -83, -327, 58, 0, 20, 20, 2
    Pyramid -346, -286, 0, 0, 10, 10, 20
    Pyramid -368, -126, 0, 0, 10, 10, 20
    
'''end

    'Teleporter links to elsewhere
    Teleporter -400 + eBoxSize, -400 + eBoxSize, 30, 45, 0.45, 10, 10, 1, "SouthEast"
    Teleporter -130, -352, 0, 0, 0.45, 10, 10, 1, "Village"

       Close_Output_File
End Sub

Sub collaborator_build_town(Xc As Long, Yc As Long)
    Const AvenueWidth = 7
    Const StreetWidth = 5
    Const Blocksize = 17
    
    Dim CentralSquareSize As Integer
    Dim i As Integer
    Dim theta As Long
    Dim iBlock As Integer
    Dim jBlock As Integer
    Dim NumBlocks As Integer
    Dim BuildingsPerBlock As Integer
    Dim Xb As Long
    Dim Yb As Long
    
    NumBlocks = 2
    CentralSquareSize = 8
    
    define_component "CollabTown"
        
        For iBlock = -NumBlocks To NumBlocks
            For jBlock = -NumBlocks To NumBlocks
                Xb = iBlock * (Blocksize + AvenueWidth)
                Yb = jBlock * (Blocksize + StreetWidth)
                If Abs(Xb) >= CentralSquareSize Or Abs(Yb) >= CentralSquareSize Then
                    'Toss coin to randomly insert building
                    If Rnd() < 0.85 Then
                        Collab_Insert_Building Xb, Yb, Blocksize / 2#
                    End If
'                    'Throw in pyramids in intersections to break things up
'                    If iBlock < NumBlocks And jBlock < NumBlocks Then
'                        Pyramid Xb + Blocksize / 2# + AvenueWidth / 2#, Yb + Blocksize / 2# + StreetWidth / 2#, 0, 45, 2, 2, 10, False, True, False
'                    End If
                End If
                
            Next jBlock
        Next iBlock
    end_component
    theta = 0
    Place_Component "CollabTown", Xc, Yc, 0, theta
End Sub


Sub Collab_Insert_Building(Xb, Yb, BuildingSize)
    Dim zSize As Long
    Dim hSize As Long
    Dim baseSize As Double
    Dim CurrentHeight As Long
    
    Debug.Print "Insert Building at (" & CStr(Xb) & ", " & CStr(Yb) & ") size: " & CStr(BuildingSize)
    zSize = 13 + 5 * Rnd()
    baseSize = (0.8 + 0.2 * Rnd()) * BuildingSize
    Box Xb, Yb, 0, 0, baseSize, baseSize, zSize
    CurrentHeight = zSize
    
    'randomly do second story
    If Rnd() > 0.5 Then
        zSize = 8 + 5 * Rnd()
        hSize = (0.5 + 0.2 * Rnd()) * baseSize
        Box Xb, Yb, CurrentHeight, 0, hSize, hSize, zSize
        CurrentHeight = CurrentHeight + zSize
        baseSize = hSize
    End If
    
    'randomly do pyramid top
    If Rnd() > 0.6 Then
        zSize = 10 * Rnd() + 5
        hSize = Rnd * (baseSize - 6) + 6
        If hSize > baseSize Then hSize = baseSize
        Pyramid Xb, Yb, CurrentHeight, 0, hSize, hSize, zSize, False, True
    End If
End Sub

