sub Write_madcity ()
	'' Try to open the output file; exit if error.
	If Not Open_Output_File("P_madcity") Then
	    Exit Sub
	End If
	comment "Module "madcity", parsed from "mod-madcity.bzw""
	comment " "
	comment "10/24/2003 6:21:22 PM"
	comment " "
	comment "Parser, code support system by"
	comment " "
	comment " Bryan A. Bentz"
	comment "       a.k.a. "The Purple Panzer"
	comment "       Email:"
	comment "            bentz@bentz-engineering.com, or "
	comment "            bentz@; ai.mit.edu; "
	comment "       URLs:"
	comment "            Personal URL: http://www-swiss.ai.mit.edu/~bentz/"
	comment "            Business URL: http://www.bentz-engineering.com/"
	comment " "
	comment " "
	comment " World built with bzedit, available at"
	comment " http://bzedit.bolognia.net/"
	comment "!name box-0"
	box -1, -2, 0, 0, 60, 60, 15
	comment "!name box-1"
	box -1, -2, 0, 0, 50, 50, 30
	comment "!name box-2"
	box -1, -1, 0, 0, 40, 40, 65
	comment "!name box-3"
	box -2, 1, 0, 0, 30, 30, 80
	comment "!name box-4"
	box -340, 347, 8, 35, 30, 10, 2
	comment "!name box-5"
	box -296, 386, 0, 0, 30, 30, 10
	comment "!name box-6"
	box -390, 307, 0, 0, 30, 30, 10
	comment "!name box-7"
	box 282, 365, 0, 0, 30, 30, 10
	comment "!name box-8"
	box 204, 288, 0, 0, 18, 18, 10
	comment "!name box-9"
	box 236, 320, 8, 45, 45, 8, 2
	comment "!name box-10"
	box 261, 212, 8, 35, 8, 90, 2
	comment "!name box-11"
	box 267, 204, 0, 215, 15, 15, 10
	comment "!name box-12"
	box 320, 129, 0, 215, 15, 15, 10
	comment "!name box-13"
	box 385, 172, 8, 35, 75, 10, 2
	comment "!name box-14"
	box 390, 181, 0, 0, 30, 30, 10
	comment "!name box-15"
	box -316, -307, 25, 45, 200, 15, 2
	comment "!name box-16"
	box -135, -140, 0, 0, 60, 45, 27
	comment "!name box-17"
	box 181, -189, 15, 0, 1, 30, 15
	comment "!name box-18"
	box 201, -190, 15, 0, 1, 30, 15
	comment "!name box-19"
	box 231, -219, 15, 0, 30, 1, 15
	comment "!name box-20"
	box 150, -220, 15, 0, 30, 1, 15
	comment "!name box-21"
	box 181, -271, 15, 0, 1, 30, 15
	comment "!name box-22"
	box 200, -271, 15, 0, 1, 30, 15
	comment "!name box-23"
	box 231, -242, 15, 0, 30, 1, 15
	comment "!name box-24"
	box 150, -241, 15, 0, 30, 1, 15
	comment "!name box-25"
	box 190, -323, 13, 0, 6, 30, 2
	comment "!name box-26"
	box 191, -133, 13, 0, 6, 30, 2
	comment "!name box-27"
	box 98, -230, 13, 0, 30, 6, 2
	comment "!name box-28"
	box 345, -229, 13, 0, 100, 6, 2
	comment "!name box-29"
	box 201, -227, 13, 0, 80, 80, 2
	comment "!name box-30"
	box 200, -228, 30, 0, 80, 80, 5
	comment "!name box-31"
	box 130, -161, 0, 0, 10, 10, 35
	comment "!name box-32"
	box 269, -160, 0, 0, 10, 10, 35
	comment "!name box-33"
	box 269, -298, 0, 0, 10, 10, 35
	comment "!name box-34"
	box 128, -299, 0, 0, 10, 10, 35
	comment "!name box-35"
	box 238, -308, 0, 0, 42, 1, 35
	comment "!name box-36"
	box 150, -308, 0, 0, 32, 1, 35
	comment "!name box-37"
	box 122, -274, 0, 0, 1, 37, 35
	comment "!name box-38"
	box 120, -186, 0, 0, 1, 37, 35
	comment "!name box-39"
	box 153, -150, 0, 0, 34, 1, 35
	comment "!name box-40"
	box 238, -149, 0, 0, 41, 1, 35
	comment "!name box-41"
	box 279, -186, 0, 0, 1, 35, 35
	comment "!name box-42"
	box 280, -273, 0, 0, 1, 37, 35
	comment "!name box-43"
	box 47, -232, 0, 0, 30, 16, 15
	comment "!name box-44"
	box -29, -206, 13, 65, 8, 70, 2
	comment "!name box-45"
	box 195, -326, 0, 0, 30, 2, 10
	comment "!name box-46"
	box 241, -346, 0, 45, 2, 30, 10
	comment "!name box-47"
	box 311, -230, 0, 0, 2, 2, 14
	comment "!name box-48"
	box 251, -2, 13, 242, 120, 6, 2
	comment "!name box-49"
	box 192, -110, 0, 0, 10, 10, 15
	comment "!name box-50"
	box 190, -383, 0, 0, 30, 30, 15
	comment "!name box-51"
	box -193, 214, 80, 0, 30, 30, 5
	comment "!name box-52"
	box 301, 113, 0, 35, 10, 25, 15
	comment "!name box-53"
	box -9, 370, 8, 0, 300, 10, 2
	comment "!name box-54"
	box 329, -129, 80, 0, 30, 30, 5
	comment "!name box-55"
	box -37, 303, 0, 0, 2, 2, 8
	comment "!name box-56"
	box -24, 303, 0, 0, 2, 2, 8
	comment "!name box-57"
	box -31, 303, 7, 0, 7, 1, 1
	comment "!name box-58"
	box -28, 335, 9, 0, 1, 33, 1
	comment "!name box-59"
	box 28, 212, 0, 0, 30, 30, 9.42
	comment "!name box-60"
	box 50, 248, 0, 0, 30, 30, 11
	comment "!name box-61"
	box 73, 215, 0, 0, 30, 30, 15
	comment "!name box-62"
	box -32, 335, 9, 0, 1, 33, 1
	comment "!name box-63"
	box -28, 271, 9, 0, 1, 33, 1
	comment "!name box-64"
	box -32, 273, 9, 0, 1, 33, 1
	comment "!name box-65"
	box -23, 264, 0, 0, 2, 2, 8
	comment "!name box-66"
	box -38, 264, 0, 0, 2, 2, 8
	comment "!name box-67"
	box -31, 264, 7, 0, 7, 1, 1
	comment "!name box-68"
	box 148, -335, 0, 25, 30, 2, 10
	comment "!name pyramid-69"
	pyramid 131, 80, 0, 0, 8.2, 8.2, 15
	comment "!name pyramid-70"
	pyramid 131, 105, 0, 0, 8.2, 8.2, 15
	comment "!name pyramid-71"
	pyramid 131, 130, 0, 0, 8.2, 8.2, 15
	comment "!name pyramid-72"
	pyramid 161, 80, 0, 0, 8.2, 8.2, 15
	comment "!name pyramid-73"
	pyramid 161, 105, 0, 0, 8.2, 8.2, 15
	comment "!name pyramid-74"
	pyramid 161, 130, 0, 0, 8.2, 8.2, 15
	comment "!name box-75"
	box 145, 105, 15, 0, 28, 38, 1
	comment "!name pyramid-76"
	pyramid 131, 80, 16, 0, 8.2, 8.2, 15
	comment "!name pyramid-77"
	pyramid 131, 105, 16, 0, 8.2, 8.2, 15
	comment "!name pyramid-78"
	pyramid 131, 130, 16, 0, 8.2, 8.2, 15
	comment "!name pyramid-79"
	pyramid 161, 80, 16, 0, 8.2, 8.2, 15
	comment "!name pyramid-80"
	pyramid 161, 105, 16, 0, 8.2, 8.2, 15
	comment "!name pyramid-81"
	pyramid 161, 130, 16, 0, 8.2, 8.2, 15
	comment "!name box-82"
	box 145, 105, 31, 0, 28, 38, 1
	comment "!name pyramid-83"
	pyramid 199, 169, 0, 0, 12.2, 12.2, 45
	comment "!name pyramid-84"
	pyramid -2, 2, 0, 0, 8.2, 8.2, 125
	comment "!name pyramid-85"
	pyramid -62, 62, 0, 0, 8.2, 8.2, 125
	comment "!name pyramid-86"
	pyramid 62, -62, 0, 0, 8.2, 8.2, 125
	comment "!name pyramid-87"
	pyramid -62, -62, 0, 0, 8.2, 8.2, 125
	comment "!name pyramid-88"
	pyramid 62, 62, 0, 0, 8.2, 8.2, 125
	comment "!name box-89"
	box -120, 0, 0, 0, 47.5, 47.5, 24
	comment "!name box-90"
	box -120, 0, 0, 0, 35, 35, 34
	comment "!name box-91"
	box -120, 0, 0, 0, 20, 20, 44
	comment "!name box-92"
	box -120, 0, 0, 0, 10, 10, 54
	comment "!name box-93"
	box 30, 193, 0, 0, 68, 68, 10.25
	comment "!name box-94"
	box 30, 193, 0, 0, 58, 58, 20.5
	comment "!name box-95"
	box 30, 193, 0, 0, 48, 48, 30.75
	comment "!name box-96"
	box 30, 193, 0, 0, 38, 38, 41
	comment "!name box-97"
	box 30, 193, 0, 0, 28, 28, 51.25
	comment "!name box-98"
	box 30, 193, 0, 0, 18, 18, 61.5
	comment "!name box-99"
	box 30, 193, 0, 0, 10, 10, 71.75
	comment "!name pyramid-100"
	pyramid 30, 193, 61.6, 0, 18, 18, 30.25
	comment "!name pyramid-101"
	pyramid -180, 22, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-102"
	pyramid -180, 12, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-103"
	pyramid -180, 2, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-104"
	pyramid -388, 389, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-105"
	pyramid 411, 236, 0, 0, 8.2, 8.2, 15
	comment "!name pyramid-106"
	pyramid -157, 380, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-107"
	pyramid 93, 351, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-108"
	pyramid -59, 348, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-109"
	pyramid -130, 287, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-110"
	pyramid -350, 51, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-111"
	pyramid 339, 71, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-112"
	pyramid 230, 87, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-113"
	pyramid 305, -59, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-114"
	pyramid 181, -8, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-115"
	pyramid -242, -23, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-116"
	pyramid -155, 106, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-117"
	pyramid -142, -206, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-118"
	pyramid -194, -347, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-119"
	pyramid -363, -274, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-120"
	pyramid -345, -84, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-121"
	pyramid -77, -311, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-122"
	pyramid 8, -110, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-123"
	pyramid 268, -365, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-124"
	pyramid 32, -361, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-125"
	pyramid 33, -168, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-126"
	pyramid 373, -296, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-127"
	pyramid -44, 181, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-128"
	pyramid -338, 200, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-129"
	pyramid 314, 293, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-130"
	pyramid 396, 291, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-131"
	pyramid -283, -150, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-132"
	pyramid -365, -127, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-133"
	pyramid 312, 191, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-134"
	pyramid 312, 191, 16, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-135"
	pyramid 335, 251, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-136"
	pyramid 335, 262, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-137"
	pyramid 335, 273, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-138"
	pyramid -296, 304, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-139"
	pyramid -253, -291, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-140"
	pyramid -309, -196, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-141"
	pyramid -259, -139, 54, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-142"
	pyramid -203, -190, 0.1, 0, 8.2, 8.2, 13.25
	comment "!name box-143"
	box -259, -139, 6, 0, 75, 75, 3
	comment "!name box-144"
	box -259, -139, 12, 0, 65, 65, 3
	comment "!name box-145"
	box -259, -139, 0, 0, 47.5, 47.5, 24
	comment "!name box-146"
	box -259, -139, 0, 0, 35, 35, 34
	comment "!name box-147"
	box -259, -139, 0, 0, 20, 20, 44
	comment "!name box-148"
	box -259, -139, 0, 0, 10, 10, 54
	comment "!name pyramid-149"
	pyramid -330, -220, 16, 0, 8.2, 8.2, 10.25
	comment "!name teleporter-150"
	teleporter -391, -382, 0, 45, 0.56, 10, 24, 1.12
	comment "!name teleporter-151"
	teleporter -385, -377, 27, 45, 0.56, 10, 10, 1.12
	comment "!name teleporter-152"
	teleporter -193, 212, 85, 0, 0.56, 4.48, 10, 1.12
	comment "!name teleporter-153"
	teleporter 374, 382, 0, 0, 0.56, 4.48, 20.16, 1.12
	comment "!name teleporter-154"
	teleporter 332, -348, 0, 0, 0.56, 4.48, 20.16, 1.12
	comment "!name teleporter-155"
	teleporter -328, 128, 0, 0, 0.56, 4.48, 20.16, 1.12
	comment "!name teleporter-156"
	teleporter 308, 1, 0, 0, 0.56, 4.48, 20.16, 1.12
	comment "!name teleporter-157"
	teleporter -356, 6, 0, 0, 0.56, 4.48, 20.16, 1.12
	comment "!name teleporter-158"
	teleporter 332, -126, 85, 0, 0.56, 4.48, 8, 1.12
	comment "!name teleporter-159"
	teleporter -96, -361, 0, 0, 0.56, 4.48, 20.16, 1.12
	comment "!name teleporter-160"
	teleporter -373, 363, 0, 0, 0.56, 4.48, 20.16, 1.12
	comment "!name teleporter-161"
	teleporter 125, -7, 0, 33, 0.56, 4.48, 20.16, 1.12
	comment "!name link-162"
	makelink 0, 2
	comment "!name link-163"
	makelink 4, 1
	comment "!name link-164"
	makelink 5, 7
	comment "!name link-165"
	makelink 6, 4
	comment "!name link-166"
	makelink 7, 10
	comment "!name link-167"
	makelink 8, 5
	comment "!name link-168"
	makelink 9, 7
	comment "!name link-169"
	makelink 10, 11
	comment "!name link-170"
	makelink 11, 8
	comment "!name link-171"
	makelink 12, 5
	comment "!name link-172"
	makelink 13, 15
	comment "!name link-173"
	makelink 14, 12
	comment "!name link-174"
	makelink 15, 15
	comment "!name link-175"
	makelink 16, 17
	comment "!name link-176"
	makelink 17, 2
	comment "!name link-177"
	makelink 18, 16
	comment "!name link-178"
	makelink 19, 19
	comment "!name link-179"
	makelink 21, 22
	comment "!name link-180"
	makelink 22, 20
	comment "!name link-181"
	makelink 23, 21
	comment "!name pyramid-182"
	pyramid 0, 0, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-183"
	pyramid 0, 0, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-184"
	pyramid 0, 0, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-185"
	pyramid 0, 0, 0, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-116 copy"
	pyramid -155, 106, 10, 0, 8.2, 8.2, 10.25
	comment "!name pyramid-116 copy copy"
	pyramid -155, 106, 0, 0, 8.2, 8.2, 10.25
end sub
