Attribute VB_Name = "Script_MadCity"
Sub Write_Old_Madcity(Optional Mirror As Boolean = False)

        Dim fname As String
        If Mirror Then
            fname = "MirrorMadcity"
        Else
            fname = "Madcity"
        End If
        
        If Not Open_Output_File(fname) Then
            Exit Sub
        End If
        
        ReflectX = Mirror
        ReflectY = False
        
        Init_Component_System
        
        comment "Original (Modified) MadCity"
        comment "   - Grapes of Wrath?"
        comment " "
        comment "Parser, code support system by"
        comment " "
        comment " Bryan A. Bentz"
        comment "       a.k.a. ""The Purple Panzer"""
        comment "       Email:"
        comment "            bentz@bentz-engineering.com, or "
        comment "            bentz@; ai.mit.edu; "
        comment "       URLs:"
        comment "            Personal URL: http://www-swiss.ai.mit.edu/~bentz/"
        comment "            Business URL: http://www.bentz-engineering.com/"
        comment " "
        comment " "
        
        world (400)
        nMadCity
            
    Close_Output_File
End Sub

Sub nMadCity()
        Box -1, -2, 0, 0, 60, 60, 15
        Box -1, -2, 0, 0, 50, 50, 30
        Box -1, -1, 0, 0, 40, 40, 65
        Box -2, 1, 0, 0, 30, 30, 80
        Box -340, 347, 8, 35, 30, 10, 2
        Box -296, 386, 0, 0, 30, 30, 10
        Box -390, 307, 0, 0, 30, 30, 10
        Box 282, 365, 0, 0, 30, 30, 10
        Box 204, 288, 0, 0, 18, 18, 10
        Box 236, 320, 8, 45, 45, 8, 2
        Box 261, 212, 8, 35, 8, 90, 2
        Box 267, 204, 0, 215, 15, 15, 10
        Box 320, 129, 0, 215, 15, 15, 10
        Box 385, 172, 8, 35, 75, 10, 2
        Box 390, 181, 0, 0, 30, 30, 10
        Box -316, -307, 25, 45, 200, 15, 2
        Box -135, -140, 0, 0, 60, 45, 27
        Box 181, -189, 15, 0, 1, 30, 15
        Box 201, -190, 15, 0, 1, 30, 15
        Box 231, -219, 15, 0, 30, 1, 15
        Box 150, -220, 15, 0, 30, 1, 15
        Box 181, -271, 15, 0, 1, 30, 15
        Box 200, -271, 15, 0, 1, 30, 15
        Box 231, -242, 15, 0, 30, 1, 15
        Box 150, -241, 15, 0, 30, 1, 15
        Box 190, -323, 13, 0, 6, 30, 2
        Box 191, -133, 13, 0, 6, 30, 2
        Box 98, -230, 13, 0, 30, 6, 2
        Box 345, -229, 13, 0, 100, 6, 2
        Box 201, -227, 13, 0, 80, 80, 2
        Box 200, -228, 30, 0, 80, 80, 5
        Box 130, -161, 0, 0, 10, 10, 35
        Box 269, -160, 0, 0, 10, 10, 35
        Box 269, -298, 0, 0, 10, 10, 35
        Box 128, -299, 0, 0, 10, 10, 35
        Box 238, -308, 0, 0, 42, 1, 35
        Box 150, -308, 0, 0, 32, 1, 35
        Box 122, -274, 0, 0, 1, 37, 35
        Box 120, -186, 0, 0, 1, 37, 35
        Box 153, -150, 0, 0, 34, 1, 35
        Box 238, -149, 0, 0, 41, 1, 35
        Box 279, -186, 0, 0, 1, 35, 35
        Box 280, -273, 0, 0, 1, 37, 35
        Box 47, -232, 0, 0, 30, 16, 15
        Box -29, -206, 13, 65, 8, 70, 2
        Box 195, -326, 0, 0, 30, 2, 10
        Box 241, -346, 0, 45, 2, 30, 10
        Box 311, -230, 0, 0, 2, 2, 14
        Box 251, -2, 13, 242, 120, 6, 2
        Box 192, -110, 0, 0, 10, 10, 15
        Box 190, -383, 0, 0, 30, 30, 15
        Box -193, 214, 80, 0, 30, 30, 5
        Box 301, 113, 0, 35, 10, 25, 15
        Box -9, 370, 8, 0, 300, 10, 2
        Box 329, -129, 80, 0, 30, 30, 5
        Box -37, 303, 0, 0, 2, 2, 8
        Box -24, 303, 0, 0, 2, 2, 8
        Box -31, 303, 7, 0, 7, 1, 1
        Box -28, 335, 9, 0, 1, 33, 1
        Box 28, 212, 0, 0, 30, 30, 9.42
        Box 50, 248, 0, 0, 30, 30, 11
        Box 73, 215, 0, 0, 30, 30, 15
        Box -32, 335, 9, 0, 1, 33, 1
        Box -28, 271, 9, 0, 1, 33, 1
        Box -32, 273, 9, 0, 1, 33, 1
        Box -23, 264, 0, 0, 2, 2, 8
        Box -38, 264, 0, 0, 2, 2, 8
        Box -31, 264, 7, 0, 7, 1, 1
        Box 148, -335, 0, 25, 30, 2, 10
        
        Box 145, 105, 15, 0, 28, 38, 1
        Box 145, 105, 31, 0, 28, 38, 1
        
        Box -120, 0, 0, 0, 47.5, 47.5, 24
        Box -120, 0, 0, 0, 35, 35, 34
        Box -120, 0, 0, 0, 20, 20, 44
        Box -120, 0, 0, 0, 10, 10, 54
        
        Box 30, 193, 0, 0, 68, 68, 10.25
        Box 30, 193, 0, 0, 58, 58, 20.5
        Box 30, 193, 0, 0, 48, 48, 30.75
        Box 30, 193, 0, 0, 38, 38, 41
        Box 30, 193, 0, 0, 28, 28, 51.25
        Box 30, 193, 0, 0, 18, 18, 61.5
        Box 30, 193, 0, 0, 10, 10, 71.75
        Box -259, -139, 6, 0, 75, 75, 3
        Box -259, -139, 12, 0, 65, 65, 3
        Box -259, -139, 0, 0, 47.5, 47.5, 24
        Box -259, -139, 0, 0, 35, 35, 34
        Box -259, -139, 0, 0, 20, 20, 44
        Box -259, -139, 0, 0, 10, 10, 54
        Pyramid 131, 80, 0, 0, 8.2, 8.2, 15, False, False, False
        Pyramid 131, 105, 0, 0, 8.2, 8.2, 15, False, False, False
        Pyramid 131, 130, 0, 0, 8.2, 8.2, 15, False, False, False
        Pyramid 161, 80, 0, 0, 8.2, 8.2, 15, False, False, False
        Pyramid 161, 105, 0, 0, 8.2, 8.2, 15, False, False, False
        Pyramid 161, 130, 0, 0, 8.2, 8.2, 15, False, False, False
        
        Pyramid 131, 80, 16, 0, 8.2, 8.2, 15, True, True, False
        Pyramid 131, 105, 16, 0, 8.2, 8.2, 15, True, True, False
        Pyramid 131, 130, 16, 0, 8.2, 8.2, 15, True, True, False
        Pyramid 161, 80, 16, 0, 8.2, 8.2, 15, True, True, False
        Pyramid 161, 105, 16, 0, 8.2, 8.2, 15, True, True, False
        Pyramid 161, 130, 16, 0, 8.2, 8.2, 15, True, True, False
        
        Pyramid 199, 169, 0, 0, 12.2, 12.2, 45, False, False, False
        Pyramid -2, 2, 0, 0, 8.2, 8.2, 125, False, False, False
        Pyramid -62, 62, 0, 0, 8.2, 8.2, 125, False, False, False
        Pyramid 62, -62, 0, 0, 8.2, 8.2, 125, False, False, False
        Pyramid -62, -62, 0, 0, 8.2, 8.2, 125, False, False, False
        Pyramid 62, 62, 0, 0, 8.2, 8.2, 125, False, False, False
        Pyramid 30, 193, 61.6, 0, 18, 18, 30.25, True, True, False
        Pyramid -180, 22, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -180, 12, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -180, 2, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -388, 389, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 411, 236, 0, 0, 8.2, 8.2, 15, False, False, False
        Pyramid -157, 380, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 93, 351, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -59, 348, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -130, 287, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -350, 51, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 339, 71, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 230, 87, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 305, -59, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 181, -8, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -242, -23, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -155, 106, 0, 0, 8.2, 8.2, 10.25, False, True, False
        Pyramid -142, -206, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -194, -347, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -363, -274, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -345, -84, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -77, -311, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 8, -110, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 268, -365, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 32, -361, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 33, -168, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 373, -296, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -44, 181, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -338, 200, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 314, 293, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 396, 291, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -283, -150, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -365, -127, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 312, 191, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 312, 191, 16, 0, 8.2, 8.2, 10.25, False, True, False
        Pyramid 335, 251, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 335, 262, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 335, 273, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -296, 304, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -253, -291, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -309, -196, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -259, -139, 54, 0, 8.2, 8.2, 10.25, True, True, False
        Pyramid -203, -190, 0.1, 0, 8.2, 8.2, 13.25, True, True, False
        Pyramid -330, -220, 16, 0, 8.2, 8.2, 10.25, False, True, False
        Pyramid 0, 0, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 0, 0, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 0, 0, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid 0, 0, 0, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -155, 106, 10, 0, 8.2, 8.2, 10.25, False, False, False
        Pyramid -155, 106, 0, 0, 8.2, 8.2, 10.25, False, False, False
        
        Teleporter -391, -382, 0, 45, 0.56, 14.48, 24, 1.12, "-391, -382"
        Teleporter -385, -377, 27, 45, 0.56, 14.48, 12.24, 1.12, "-385, -377"
        Teleporter -193, 212, 85, 0, 0.56, 8.96, 12.24, 1.12, "-193, 212"
        Teleporter 374, 382, 0, 0, 0.56, 8.96, 22.4, 1.12, "374, 382"
        Teleporter 332, -348, 0, 0, 0.56, 8.96, 22.4, 1.12, "332, -348"
        Teleporter -328, 128, 0, 0, 0.56, 8.96, 22.4, 1.12, "-328, 128"
        Teleporter 308, 1, 0, 0, 0.56, 8.96, 22.4, 1.12, "308, 1"
        Teleporter -356, 6, 0, 0, 0.56, 8.96, 22.4, 1.12, "-356, 6"
        Teleporter 332, -126, 85, 0, 0.56, 8.96, 10.24, 1.12, "332, -126"
        Teleporter -96, -361, 0, 0, 0.56, 8.96, 22.4, 1.12, "-96, -361"
        Teleporter -373, 363, 0, 0, 0.56, 8.96, 22.4, 1.12, "-373, 363"
        Teleporter 125, -7, 0, 33, 0.56, 8.96, 22.4, 1.12, "125, -7"
        makelink 0, 2
        makelink 1, 0
        makelink 2, 3
        makelink 3, 2
        makelink 4, 1
        makelink 5, 7
        makelink 6, 4
        makelink 7, 10
        makelink 8, 5
        makelink 9, 7
        makelink 10, 11
        makelink 11, 8
        makelink 12, 5
        makelink 13, 15
        makelink 14, 12
        makelink 15, 15
        makelink 16, 17
        makelink 17, 2
        makelink 18, 16
        makelink 19, 19
        makelink 20, 21
        makelink 21, 22
        makelink 22, 20
        makelink 23, 21
        makelink 24, 0
        makelink 25, 0
        makelink 26, 0
        makelink 27, 0
        makelink 28, 0
        makelink 29, 0
End Sub
