Attribute VB_Name = "Script_ContestFFA"
Const HouseWidth = 20
Const HouseDepth = 15
Public HouseN As Integer

Sub Write_ContestFFA()
    Const BaseHeight = 12
    Const level1 = BaseHeight
    Const level2 = 2 * BaseHeight
    Const level3 = 3 * BaseHeight
    Const Level4 = 4 * BaseHeight
        
    Dim i As Integer
        Dim Fheight As Integer
    Dim bsize As Integer
    Dim Delta As Integer
    
    Const FundamentalUnitSize = 3
    Dim UnitSize As Integer
    Dim OneWidth As Integer
    Dim TwoWidth As Integer
    Dim FourWidth As Integer
    Dim EightWidth As Integer
    Dim SixteenWidth As Integer
    Dim BlockHeight As Integer
    Dim BlockWidth As Integer
    Dim Wallheight As Integer
    Dim ptemp As Integer
    Dim q4tx, q4ty, q4BaseWidth, q4td

    ''Initialization
    UnitSize = FundamentalUnitSize '3
    OneWidth = UnitSize             '3 - Single pillar width
    TwoWidth = 2 * OneWidth         '6 - Small square block
    FourWidth = 2 * TwoWidth        '12 - Basic workhorse block
    EightWidth = 2 * FourWidth      '24 - Medium long block
    SixteenWidth = 2 * EightWidth   '48 - Long block
    BlockHeight = TwoWidth
    BlockWidth = OneWidth
    
    
    If Not Open_Output_File("ContestFFA") Then
        Exit Sub
    End If

    world 400
    
    
    ''' First, the ancient village '''
    
    define_component "AncientVillage"
        Const S1Width = 10
        Const S2Width = 12
        
        Rnd -1
        Randomize 10  'For repeatability.
        
        Const Top1X = S2Width + HouseWidth
        Const Top1Y = S1Width + HouseDepth
        
        'top row
        house Top1X, Top1Y, level1, 180, True
        house Top1X + 2 * HouseWidth, Top1Y, level2, 180, True
        house Top1X + 4 * HouseWidth, Top1Y, 17, 180 + 180
        house Top1X + 6 * HouseWidth + 6, Top1Y, (level3 + level2) / 2#, 90 + 180
        
        'Bottom row
        house Top1X, -Top1Y + 5, level2, 180
        house Top1X + 2 * HouseWidth, -Top1Y, level1, 0, True
        house Top1X + 4 * HouseWidth, -Top1Y, level2, 0
        house Top1X + 6 * HouseWidth, -Top1Y, 17, 0
        
        'Ruins further to bottom
        Box Top1X, -55, 0, 0, 10, 1, 3
        Box Top1X + 2 * HouseWidth, -55, 0, 0, 6, 1, 6
        Box Top1X + 4 * HouseWidth, -55, 0, 0, 5, 1, 12
        
        Box Top1X + 3 * HouseWidth, -60, 0, 20, 6, 1, 2
        
        
        Box Top1X, -80, 0, 0, 14, 14, 14
        'Left-hand side
        Const LeftX = -S2Width - HouseWidth
        house LeftX, 0, level2, 90 + 180
        house LeftX, 2 * HouseWidth, level1, 90 + 180 + 180
        house LeftX, 4 * HouseWidth, level2, 90 + 180, True
        house LeftX, -3 * HouseWidth, 17, 90 + 180
    
        'Big box
        Dim xbb, ybb
        xbb = 67
        ybb = 75
        Box xbb, ybb, 0, 0, 60, 20, level3
        'Protective block on one side
        Box xbb, ybb + 16, level3, 0, 40, 4, 1.58 '40 was 35
        'Box xbb, ybb, Level1, 0, 50, 10, Level1
        'Teleporter
       
    
    end_component
    
    Place_Component "AncientVillage", -300, -230, 0, 45 - 90
    
    'Long bridge from big block
    Box -100.5, -228.5, level3 - 2, 21, 70, 6, 2
    'Destination block
    Box -10, -200, level1, 0, 30, 30, level2
'    Pyramid -10 - 25, -200 - 25, Level1 + Level2, 45, 4, 4, 35, False, True
'    Pyramid -10 - 25, -200 + 25, Level1 + Level2, 45, 4, 4, 35, False, True
'    Pyramid -10 + 25, -200 - 25, Level1 + Level2, 45, 4, 4, 35, False, True
'    Pyramid -10 + 25, -200 + 25, Level1 + Level2, 45, 4, 4, 35, False, True

    
    Box -10, -200, level3, 0, 15, 15, level1
    
    
    Pyramid -10, -200, Level4, 0, 10, 10, level2, False, True
    'levels
    Box -10, -200, level2, 0, 40, 40, 2 + 4
    
    Const pDelta = 48
    'Corner pyramids
    Pyramid -10 - pDelta, -200 - pDelta, 0, 45, 5, 5, 50, False, False
    Pyramid -10 + pDelta, -200 - pDelta, 0, 45, 5, 5, 50, False, False
    Pyramid -10 - pDelta, -200 + pDelta, 0, 45, 5, 5, 50, False, False
    Pyramid -10 + pDelta, -200 + pDelta, 0, 45, 5, 5, 50, False, False
    
    'Bottom points
'    Pyramid -10 - pDelta, -200 - pDelta, Level1 + 3, 45, 5, 5, -15, False, False
'    Pyramid -10 + pDelta, -200 - pDelta, Level1 + 3, 45, 5, 5, -15, False, False
'    Pyramid -10 - pDelta, -200 + pDelta, Level1 + 3, 45, 5, 5, -15, False, False
'    Pyramid -10 + pDelta, -200 + pDelta, Level1 + 3, 45, 5, 5, -15, False, False
    
    'main base
    Box -10, -200, 0, 0, 50, 50, level1 + 3

    'Other (T) ramp
    Box -125.5, -198.5, level3 - 2, -66.5, 40, 3, 2
    
    'Dest for other (QUESTIONABLE BOX)
    q4tx = -139
    q4ty = -158.5
    q4BaseWidth = 18
    Box q4tx, q4ty, 0, 0, 10, 10, level3  '10s were 20's
    Box q4tx, q4ty, level3 - 6, 0, q4BaseWidth, q4BaseWidth, 2 + 4 '18s were 32's, was level2
    Box q4tx, q4ty, level3, 45, 7, 7, level1
    Pyramid q4tx, q4ty, level3 + level1, 0, 1, 1, 30, False, True
    
    q4td = q4BaseWidth * 1.1 ''1.414
    jtWidth = 4
    jtHeight = 12 + 10
    jtPyHeight = 50
'    Box q4tx, q4ty, 0, 45, 8, 8, 60
'    Box q4tx, q4ty, 60, 45, q4BaseWidth, q4BaseWidth, 20
    jfort_tower q4tx + q4td, q4ty + q4td, level3 '75
    jfort_tower q4tx + q4td, q4ty - q4td, level3 '75
    jfort_tower q4tx - q4td, q4ty + q4td, level3 '75
    jfort_tower q4tx - q4td, q4ty - q4td, level3 '75
    
    'New tall tower at angle
    Box -215, -172.5, 0, 0, 15, 15, 53
    
    
    define_component "TriumphalArch"
        'arch x, y, z, theta, gateHeight, gateWidth, thickness, Border, inLite
        arch 0, 0, 0, 0, 10, 10, 10, 8, False
        Box 0, 0, 18, 0, 15, 5, 5
        'Columns
        Box -14.5, -4.5, 0, 0, 3, 3, 25
        Box -15.5, 4.5, 0, 0, 3, 3, 25
        Box 14.5, -4.5, 0, 0, 3, 3, 25
        Box 14.5, 4.5, 0, 0, 3, 3, 25
        
    end_component
    Place_Component "TriumphalArch", -200, -100, 0, 0
    
    
    define_component "Aqueduct"
        Const PillarSeparation = 15
        Const PillarHeight = 16
        Const PillarX = 3
        Const PillarY = 2
        Const PillarZ = 2
        Const PillarCount = 6
        For i = 1 To PillarCount
            Box i * PillarSeparation, 0, 0, 0, _
              PillarX, PillarY, PillarHeight
        Next i
        
        'top
        Box PillarCount / 2# * PillarSeparation + 12, 0, PillarHeight, 0, PillarCount / 2# * PillarSeparation, _
            PillarY, PillarZ
    
    end_component
    Const Aq1 = -250 - 70
    Const aq2 = -100 + 58 - 9
    Place_Component "Aqueduct", Aq1, aq2, 0, 110 + 180
    Place_Component "Aqueduct", Aq1 - 0.5, aq2 + 0.5, 0, 110
    
    'Middle damage
    Box Aq1, aq2, 0, 110, 3, 2, 8
    Box Aq1 + 10, aq2 - 3, 0, 80, 3, 4, 3
    Box Aq1 - 10, aq2 + 2, 0, 130, 9, 2, 2
    
    'end
    Box -356.6, 47.5, 0, 110, 3, 2, 16
    'Angled part
    Box -364.4, 58.3, 0, 132, 3, 2, 14
    Box -373, 67.4, 0, 132, 3, 2, 12
    Box -382, 76.9, 0, 132, 3, 2, 15
    Box -370, 76.5, 0, 120, 10, 2, 2
    
    
    'Start UnitBlocks insertion
    
    'Let's define a fort
    define_component "Minor fort"
        Const BigBlockOutpush = 8 '8
        Box 0, 0, FourWidth, 0, 10 * UnitSize, 10 * UnitSize, UnitSize
        'Four corner supports
        bsize = FourWidth 'twowidth
        Box -BigBlockOutpush * UnitSize, -BigBlockOutpush * UnitSize, 0, 0, bsize, bsize, EightWidth
        Box -BigBlockOutpush * UnitSize, BigBlockOutpush * UnitSize, 0, 0, bsize, bsize, EightWidth
        Box BigBlockOutpush * UnitSize, -BigBlockOutpush * UnitSize, 0, 0, bsize, bsize, EightWidth
        Box BigBlockOutpush * UnitSize, BigBlockOutpush * UnitSize, 0, 0, bsize, bsize, EightWidth
        
        'Pyramids
'        Pyramid -15 * UnitSize, 0, 0, 45, TwoWidth, TwoWidth, 4 * FourWidth
'        Pyramid 15 * UnitSize, 0, 0, 45, TwoWidth, TwoWidth, 4 * FourWidth
        
        'Fillets by corners
        Fheight = EightWidth
        Box -9 * UnitSize, -4 * UnitSize, FourWidth + UnitSize, 0, UnitSize, TwoWidth, Fheight
        Box -9 * UnitSize, 4 * UnitSize, FourWidth + UnitSize, 0, UnitSize, TwoWidth, Fheight
        Box 9 * UnitSize, -4 * UnitSize, FourWidth + UnitSize, 0, UnitSize, TwoWidth, Fheight
        Box 9 * UnitSize, 4 * UnitSize, FourWidth + UnitSize, 0, UnitSize, TwoWidth, Fheight
   
        Box -4 * UnitSize, -9 * UnitSize, FourWidth + UnitSize, 0, TwoWidth, UnitSize, Fheight
        Box 4 * UnitSize, -9 * UnitSize, FourWidth + UnitSize, 0, TwoWidth, UnitSize, Fheight
        Box -4 * UnitSize, 9 * UnitSize, FourWidth + UnitSize, 0, TwoWidth, UnitSize, Fheight
        Box 4 * UnitSize, 9 * UnitSize, FourWidth + UnitSize, 0, TwoWidth, UnitSize, Fheight
   
        'Second platform
        Box 0, 0, 30, 0, 9 * UnitSize, 9 * UnitSize, UnitSize
    'Road from bottom
    Box 0, -100, FourWidth, 0, TwoWidth, 100, UnitSize
    '   supports
    Box 0, -100, -21, 0, UnitSize, UnitSize, 34
    
    'Road up to main form
    Box 31, 140, FourWidth, -15, TwoWidth, 120, UnitSize
    '   supports
    Box 31, 140, -21, -15, UnitSize, UnitSize, 34 'FourWidth
   end_component
    
    
    'Minor fort guarding the road
    'Place_Component "Minor fort", 250, -225, 0, 20
     Place_Component "Minor fort", 0, 0, level2 - 3, 0
    'Main center base
    Box 0, 0, 0, 0, 16 * UnitSize, 16 * UnitSize, level2 - 3
    'Road in at 90 degrees
    Box 60 + 16 * UnitSize, 0, level2 - 3 - 2, 0, 60, 6, 2
    
    'Road on other side
    Box -20 - 16 * UnitSize + 10, 0, 34, 0, 30, 6, 2
    'teleporter_platform x, y, z, theta
    Dim txx
    Dim tyy
    Dim tdelta
    txx = -20 - 16 * UnitSize - 50
    tyy = 0
    tdelta = 25
    teleporter_platform txx, tyy, 31, 0, "Gate"
    Pyramid txx + tdelta, tyy + tdelta, 0, 0, 10, 10, 55, False, False
    Pyramid txx + tdelta, tyy - tdelta, 0, 0, 10, 10, 55, False, False
    Pyramid txx - tdelta, tyy + tdelta, 0, 0, 10, 10, 75, False, True
    Pyramid txx - tdelta, tyy - tdelta, 0, 0, 10, 10, 55, False, False
    
   
    'Steps to eastern route into gate; needs work.
    Dim EGx, EGy, EGSplit, EBwidth, EBLength
    EGx = 170
    EGy = 0
    EBwidth = 4
    EBLength = 12 '12
    EGSplit = 35 - 2 * EBwidth '32
    Box EGx + 10, EGy, 0, 0, 20, 10, 10 'base box
    Box EGx, EGy, 10, 0, 10, 10, 11 'higher box, at road level
    'box just norht
    Box EGx + 6, EGy + 14, 0, 0, 10, 10, 45
    
'    Box EGx + EGSplit, EGy + EGSplit, 0, 0, EBwidth, EBLength, 35
'    Box EGx + EGSplit, EGy - EGSplit, 0, 0, EBwidth, EBLength, 35 'p
'    Box EGx - EGSplit, EGy + EGSplit, 0, 0, EBwidth, EBLength, 35 'p
'    Box EGx - EGSplit, EGy - EGSplit, 0, 0, EBwidth, EBLength, 35 'OK
    'Roof
    'Box EGx, EGy, 35 - 2, 0, EGSplit + EBwidth, EGSplit + EBwidth, 2
   
    
    
    'Launchpad block
    Box 40, 250, 0, -15, 50, 25, 36
    Box 40, 250, 36, -15, 40, 15, 15
    Pyramid 40, 250, 51, -15, 10, 10, 40, False, True
    
    define_component "Modified Central Tower"
        'box x, y, z, rot, sX, sY, sZ
        Box 0, 0, 0, 0, 60, 60, 15
        Box 0, 0, 0, 0, 50, 50, 30
        Box 0, 0, 0, 0, 40, 40, 65
        Box 0, 0, 0, 0, 30, 30, 80
        Const py_offset = 64 '40
        Pyramid -py_offset, py_offset, 0, 0, 8.2, 8.2, 125
        Pyramid py_offset, -py_offset, 0, 0, 8.2, 8.2, 125
        Pyramid -py_offset, -py_offset, 0, 0, 8.2, 8.2, 125
        Pyramid py_offset, py_offset, 0, 0, 8.2, 8.2, 125
        
        Pyramid 0, 0, 0, 0, 8.2, 8.2, 125
    end_component
        
    Place_Component "Modified Central Tower", -80, 300, 0, -15, 1#


    'High tower nearby
    q4tx = -300
    q4ty = 270
    q4BaseWidth = 24 '12
    q4td = q4BaseWidth * 1.414
    jtWidth = 4
    jtHeight = 12 + 10
    jtPyHeight = 50
    Box q4tx, q4ty, 0, 45, 8, 8, 60
    Box q4tx, q4ty, 60, 45, q4BaseWidth, q4BaseWidth, 20
    jfort_tower q4tx, q4ty + q4td, 75
    jfort_tower q4tx, q4ty - q4td, 75
    jfort_tower q4tx + q4td, q4ty, 75
    jfort_tower q4tx - q4td, q4ty, 75
    Teleporter q4tx - 3, q4ty + 2, 80, 0, 0.45, 10, 10, 1, "Tower"
    
    'Box -325.5, 253, 75, 27.5, 20, 3, 2
    

    Teleporter -220.8, -217.27, 36, 0, 0.45, 10, 10, 1, "FallujahBlock"
    Teleporter -341, -358.7, 0, 45, 0.45, 10, 10, 1, "FallujahGround"


    comment "Ramp to get to fourth quadrant"
    'Box 215, -255.5, 60, 45, 120, 4, 3


    define_component "BesslerBridge"
        'Big flat box to North
'        Box -222, 67.5, 0, 0, 30, 30, 9.42
'        Box -222, 67.5, 9.42, 0, 15, 15, 15

        'Block with road border
        Box -222, 67.5, 0, 0, 30, 30, 15
        Box -222, 67.5, 9.42, 0, 15, 15, 30
        Border_Block -222, 67.5, 25 + 4, 15, 15, 0, 10, 2
        
        Box -116, 154, 0, 0, 10, 30, 50
        Box -57.5, 82.5, 0, 0, 15, 15, 60
        Box -204, 9.5, 0, 0, 5, 5, 18.84
        Box -79, 108.5, 0, 0, 5, 5, 18.84
        Box 76, 170, 0, 0, 5, 5, 18.84
        Box 243, 123, 0, 0, 5, 5, 18.84
        Box -321.5, -63, 0, 0, 5, 5, 18.84
        Box -277.5, -33.5, 18.84, 30, 150, 10, 2
        Box -117.5, 75, 18.84, 45, 60, 10, 2
        Box -2.5, 139.5, 18.84, 20, 90, 10, 2
        Box 166, 144.5, 18.84, 345, 90, 10, 2
        Box 332, 98.5, 18.84, 345, 90, 10, 2
        
        'Little box near road, as base
        Box -68.5, 140, 0, 0, 15, 15, 9.42
        Box -68.5, 140, 9.42, 0, 7, 7, 18
        
        'Box -58.5, 133.5, 15, 0, 15, 15, 2
    end_component
    Place_Component "BesslerBridge", 170, 0, 0, 90 + 180

    'Inset box 1
    Box 298.5, -82.5, 0, 0, 12, 12, 60

    'SE corner
    Box 304, -360.5, 0, 0, 15, 15, 60
    
    define_component "Minigarage"
            Const gwidth = 30    'Overall Garage Size (half width).
            Const doorsize = 12  'Size of door openings
            Const gborder = 5
            Const dsize = 2
            Const FloorHeight = 14 ''18.84 - 2
            
            Dim smallLength, smalloffset
            smallLength = (gwidth - doorsize / 2) / 2#
            smalloffset = gwidth - smallLength
            
            'Flat surfaces
            Box 0, 0, FloorHeight, 0, gwidth + gborder, gwidth + gborder, 2
            Box 0, 0, 2 * FloorHeight, 0, gwidth + gborder, gwidth + gborder, 2
            
            Box -gwidth, smalloffset, 0, 0, dsize, smallLength, 2 * FloorHeight
            Box gwidth, smalloffset, 0, 0, dsize, smallLength, 2 * FloorHeight
            Box -gwidth, -smalloffset, 0, 0, dsize, smallLength, 2 * FloorHeight
            Box gwidth, -smalloffset, 0, 0, dsize, smallLength, 2 * FloorHeight

            Box -smalloffset, gwidth, 0, 0, smallLength, dsize, 2 * FloorHeight
            Box smalloffset, gwidth, 0, 0, smallLength, dsize, 2 * FloorHeight
            Box -smalloffset, -gwidth, 0, 0, smallLength, dsize, 2 * FloorHeight
            Box smalloffset, -gwidth, 0, 0, smallLength, dsize, 2 * FloorHeight

'            Box -gwidth, smalloffset, 10, 0, dsize, smallLength, FloorHeight
'            Box gwidth, smalloffset, 10, 0, dsize, smallLength, FloorHeight
'            Box -gwidth, -smalloffset, 10, 0, dsize, smallLength, FloorHeight
'            Box gwidth, -smalloffset, 10, 0, dsize, smallLength, FloorHeight

'            Box -smalloffset, gwidth, 10, 0, smallLength, dsize, FloorHeight
'            Box smalloffset, gwidth, 10, 0, smallLength, dsize, FloorHeight
'            Box -smalloffset, -gwidth, 10, 0, smallLength, dsize, FloorHeight
'            Box smalloffset, -gwidth, 10, 0, smallLength, dsize, FloorHeight
            
            Const gpsize = 3
            Const gpdelta = 6
            Const gpheight = 50
            Pyramid -gwidth - gpdelta, -gwidth - gpdelta, 0, 0, gpsize, gpsize, gpheight
            Pyramid -gwidth - gpdelta, gwidth + gpdelta, 0, 0, gpsize, gpsize, gpheight
            Pyramid gwidth + gpdelta, -gwidth - gpdelta, 0, 0, gpsize, gpsize, gpheight
            Pyramid gwidth + gpdelta, gwidth + gpdelta, 0, 0, gpsize, gpsize, gpheight
            
       end_component
       
       Place_Component "Minigarage", 197, -330, 0, 0, 1
       'Road in
       Box 272, -330, 16 - 2, 0, 45, 5, 2
       Box 269, -331.5, 0, 0, 14, 14, 18.84 + 2 'intersection
       Box 322, -326.5, 0, 0, 10, 10, 30
       Box 344, -376, 0, 0, 12, 12, 45
       
        'Box to north
        Box 200, -256, 0, 0, 15, 15, 45
        
        
        'Pyramid to west
        Pyramid 143, -330, 0, 0, 10, 10, 40, False, False

    'Rail between two towers
    Dim ThreadWidth, ThreadHeight
    ThreadWidth = 0.01
    ThreadHeight = 0.01
    Box 277, -12.5, 60 - 0.1, 16.5, ThreadWidth, 65, ThreadHeight

    Box 359, -24, 0, 0, 12, 12, 32
    Box 351.5, 45.5, 0, 0, 15, 15, 50
    
    'Northern border box
    Box 167, 350, 0, 0, 40, 30, 15
    Box 167, 350, 15, 0, 25, 20, 17
    Box 167, 350, 32, 0, 10, 10, 18
    'Border_Block x, y, z, width, length, theta, bWidth, bheight
    Border_Block 167, 350, 20, 20, 15, 0, 10, 2
    
    teleporter_platform 290, 130, 80, 0, "CrystalCity"
    
'    'Column
'    Dim ColX, ColY, ColW
'    ColX = 316
'    ColY = 316
'    ColW = 14
'    colh = 39.42
'    For i = 0 To 180 Step 20
'        Box ColX, ColY, 0, i, ColW, ColW, colh
'    Next i
'    Teleporter ColX, ColY, colh, 45, 0.45, 10, 10, 1
    
    Box 243, -47, 0, 0, 30, 30, 30
    
    Pyramid -300, 120, 0, 0, 10, 10, 20
    Pyramid -361, -113, 0, 0, 10, 10, 20
    Pyramid -365, 347, 0, 0, 10, 10, 20
    Pyramid -54, 150, 0, 0, 10, 10, 20
    Pyramid 127, -121, 0, 0, 10, 10, 20
    Pyramid -11, -331, 0, 0, 10, 10, 20
    Pyramid 353, -238, 0, 0, 10, 10, 20
    Pyramid 322, 326, 0, 0, 10, 10, 20
    Pyramid -317, 89, 0, 0, 10, 10, 20
    Pyramid 127.5, 177.5, 0, 0, 10, 10, 20
    Pyramid -211, 201, 0, 0, 20, 20, 40
    Pyramid 80, 70, 0, 0, 20, 20, 40
    Pyramid 214, 116, 0, 0, 20, 20, 40
    Pyramid 107.5, -233.5, 0, 0, 20, 20, 40
    Pyramid -84.5, -290.5, 0, 0, 10, 10, 20
    Pyramid -289.5, -363, 0, 0, 10, 10, 20
    
    
    
    Teleporter 102, -330, 0, 90, 0.45, 10, 10, 1, "Garage"
    Teleporter 320, -167, 0, 163.5, 0.45, 10, 10, 1, "Southeast"
    Teleporter 79.5, 377.5, 18.84 + 2, 300, 0.45, 10, 10, 1, "Road"
    
    'Teleporters:
    '  "Garage": on ground, near garage
    '  "Southeast":  on ground, under road, in east
    '  "Road": end of road in the north
    '  "Gate": low platform near center
    '  "Tower": high tower in the northwest
    '  "FallujahBlock": high on big block
    '  "FallujahGround": on ground in sw corner.
    '  "CrystalCity": platform in northeast
    Const TeleFront = 1
    Const TeleBack = 2
    make_teleporter_link "FallujahGround", TeleFront, "Road", TeleFront
    make_teleporter_link "FallujahGround", TeleBack, "Tower", TeleBack
    
    make_teleporter_link "FallujahBlock", TeleFront, "Southeast", TeleFront
    make_teleporter_link "FallujahBlock", TeleBack, "CrystalCity", TeleFront
    
    make_teleporter_link "Garage", TeleFront, "Gate", TeleFront
    make_teleporter_link "Garage", TeleBack, "CrystalCity", TeleBack
    
    make_teleporter_link "Southeast", TeleFront, "FallujahBlock", TeleFront
    make_teleporter_link "Southeast", TeleBack, "Tower", TeleFront
    
    make_teleporter_link "Road", TeleFront, "Garage", TeleFront
    make_teleporter_link "Road", TeleBack, "FallujahBlock", TeleBack
    
    make_teleporter_link "Gate", TeleFront, "Garage", TeleFront
    make_teleporter_link "Gate", TeleBack, "CrystalCity", TeleBack
    
    make_teleporter_link "Tower", TeleFront, "Road", TeleBack
    make_teleporter_link "Tower", TeleBack, "FallujahGround", TeleBack
    
'    make_teleporter_link "FallujahBlock", TeleFront, "Southeast", TeleBack
'    make_teleporter_link "FallujahBlock", TeleBack, "Garage", TeleFront
    
'    make_teleporter_link "FallujahGround", TeleFront, "CrystalCity", TeleBack
'    make_teleporter_link "FallujahGround", TeleBack, "Tower", TeleBack
    
    make_teleporter_link "CrystalCity", TeleFront, "FallujahGround", TeleBack
    make_teleporter_link "CrystalCity", TeleBack, "Gate", TeleBack
    
    'New teleporters
    Teleporter -273.5, 334, 0, 45 - 90, 0.45, 10, 10, 1, "UnderTower"
    Teleporter 83.5, -86, 0, 45, 0.45, 10, 10, 1, "GateField"
    fully_connect_teleporters "UnderTower", "GateField"
    
    'Bug fixes
    Box 156.5, 240, 33, -91.5, 6, 100, 3
    Box 251.5, 160.5, 0, 0, 12, 12, 30
    
    Box -73, 71.5, 0, 0, 12, 12, 12
'    fully_connect_teleporters "Tower", "FallujahGround"
'    fully_connect_teleporters "FallujahBlock", "Gate"

    
    Close_Output_File

End Sub



Sub house(ixIn As Integer, iyIn As Integer, _
        iheight As Integer, angle, Optional hole As Boolean = False)
    'Temporary placeholder
    'Box ixIn, iyIn, 0, angle, HouseWidth, HouseDepth, iheight
    Dim CName As String
    Const WallWidth = 1
    Dim ThisHouseWidth As Integer
    Dim ThisHouseDepth As Integer
    
    'Pick something close to main value
    ThisHouseWidth = HouseWidth '+ 10 * Rnd() - 4
    ThisHouseDepth = HouseDepth + 8 * Rnd() - 4
    
    HouseN = HouseN + 1
    CName = "House" & CStr(HouseN)
    
    define_component CName
    
'        Box 0, 0, 0, angle, ThisHouseWidth, ThisHouseDepth, iheight
   
        'Right wall
        Box ix + ThisHouseWidth - WallWidth, iy, 0, 0, WallWidth, ThisHouseDepth, iheight - 2
        'Left wall
        Box ix - ThisHouseWidth + WallWidth, iy, 0, 0, WallWidth, ThisHouseDepth, iheight - 2
        'Back wall
        Box ix, iy - ThisHouseDepth + WallWidth, 0, 0, ThisHouseWidth, WallWidth, iheight - 2
        'Front wall pieces
        Dim ilength As Integer
        Dim xOffset As Integer
        Const doorsize = 6
        ilength = (ThisHouseWidth - doorsize) / 2#
        xOffset = (ThisHouseWidth - doorsize) / 2#
        Box ix - xOffset - doorsize, iy + ThisHouseDepth - WallWidth, 0, 0, ilength, WallWidth, iheight - 2
        Box ix + xOffset + doorsize, iy + ThisHouseDepth - WallWidth, 0, 0, ilength, WallWidth, iheight - 2
        
        'Top band if necessary
        If iheight > 10 Then
            'Top band
            'Box ix, iy + ThisHouseDepth - WallWidth, 10, 0, ThisHouseWidth, WallWidth, iheight - 10 - 2
            'New try top door
            Box ix, iy + ThisHouseDepth - WallWidth, 10, 0, doorsize, WallWidth, iheight - 10 - 2
            
            
            'Floor divider
            'Box ix, iy, 10, 0, ThisHouseWidth, ThisHouseDepth, 2
        
        End If
        'Top
        
        If Not hole Then ''Rnd() > 0.9 Then
            'Solid roof
            Box ix, iy, iheight - 2, 0, ThisHouseWidth, ThisHouseDepth, 2
        Else
            'hole in roof
            Const hSize = 7
            Dim TopBandY As Integer
            Dim SideBandX As Integer
            TopBandY = ThisHouseDepth - hSize
            SideBandX = ThisHouseWidth - hSize
            Box ix, iy + hSize + (TopBandY / 2#), iheight - 2, 0, ThisHouseWidth, TopBandY / 2#, 2
            Box ix, iy - hSize - (TopBandY / 2#), iheight - 2, 0, ThisHouseWidth, TopBandY / 2#, 2
            Box ix - hSize - (SideBandX / 2#), iy, iheight - 2, 0, SideBandX / 2#, ThisHouseDepth - 2 * TopBand, 2
            Box ix + hSize + (SideBandX / 2#), iy, iheight - 2, 0, SideBandX / 2#, ThisHouseDepth - 2 * TopBand, 2
            
        End If
        
    end_component
    Place_Component CName, ixIn, iyIn, 0, angle

    
End Sub

