Attribute VB_Name = "Script_BigMadcity"
Sub Write_madcity()
        '' Try to open the output file; exit if error.
        If Not Open_Output_File("BigMadcity") Then
            Exit Sub
        End If
        
        Init_Component_System
        
        comment "Extended MadCity Map"
        comment "   - The Purple Panzer"
        comment "1/15/2004"
        comment " "
        comment "Parser, code support system by"
        comment " "
        comment " Bryan A. Bentz"
        comment "       a.k.a. ""The Purple Panzer"""
        comment "       Email:"
        comment "            bentz@bentz-engineering.com, or "
        comment "            bentz@; ai.mit.edu; "
        comment "       URLs:"
        comment "            Personal URL: http://www-swiss.ai.mit.edu/~bentz/"
        comment "            Business URL: http://www.bentz-engineering.com/"
        comment " "
        comment " "
        comment " World built with bzedit, available at"
        comment " http://bzedit.bolognia.net/"
        comment "!name box-0"
        
        world (600)
        
        '' Insert original map
        nMadCity
        ''End of original map
   ''GoTo telestuff
   
        ''Start near "garage"
        Const b1Size = 40
        
        'Break this into 4
        'Box 460, -229, 0, 0, b1Size, 1.7 * b1Size, 15, "Plane"
        Dim gb_X, gb_Y, gb_Xdelta, gb_Ydelta, gb_Xsize, gb_Ysize, gb_Percent
        gb_X = 460
        gb_Y = -229
        gb_Percent = 0.4
        gb_Xsize = gb_Percent * b1Size
        gb_Ysize = gb_Percent * b1Size * 1.7
        gb_Xdelta = b1Size - gb_Xsize
        gb_Ydelta = 1.7 * b1Size - gb_Ysize
        
        Box 460, -229, 12, 0, b1Size, 1.7 * b1Size, 3, "Plane"
        
        Box gb_X + gb_Xdelta, gb_Y + gb_Ydelta, 0, 0, gb_Xsize, gb_Ysize, 15
        Box gb_X + gb_Xdelta, gb_Y - gb_Ydelta, 0, 0, gb_Xsize, gb_Ysize, 15
        Box gb_X - gb_Xdelta, gb_Y + gb_Ydelta, 0, 0, gb_Xsize, gb_Ysize, 15
        Box gb_X - gb_Xdelta, gb_Y - gb_Ydelta, 0, 0, gb_Xsize, gb_Ysize, 15
        
        
        
        'Stack up on this
        'Box 460, -229, 14, 0, b1Size * 0.6, 1.4 * b1Size, 18, "Tower"
        
        Box 460, -229 + 30, 14, 0, b1Size * 0.7, (1.7 * b1Size / 3#), 16
        Box 460, -229 - 30, 14, 0, b1Size * 0.7, (1.7 * b1Size / 3#), 16
        Box 460, -229, 30, 0, b1Size, 1.7 * b1Size, 2, "Plane"
        
        
        
        Pyramid 460, -229, 14 + 18, 0, 20, 30, 20, False, True, False
        
        
        'Maintain safe area, my favorite laser spot
        Const ShelterW = 10
        Const ShelterL = 35
        Box -400 - ShelterW / 2, -400 + ShelterL / 2, 0, 0, ShelterW / 2, ShelterL / 2, 18
        Box -400 + ShelterL / 4, -400 - ShelterW / 2, 0, 0, ShelterL / 4, ShelterW / 2, 18
        Box -410.75, -366, 0, 0, 10.75, 5, 45
        Box -378.25, -413.5, 0, 90, 9.5, 5, 45
        
        
        'Box at end of long ramp
        Box -490, -490, 0, 45, 70, 70, 27, "Endblock"
        Box -480, -480, 0, 45, 80, 80, 13, "Step up"
        
        'Jump support
        Box -417, -550, 0, 45, 12, 12, 40
        Box -441, -540.5, 0, 0, 10, 10, 54
        
        
        'Upper-left additional walls
'        Box -370, 411.5, 0, 0, 42.5, 4, 10
'        Box -417, 356, 0, 90, 20.5, 4, 10
        Box -362, 413, 0, 0, 58, 12.5, 20
        Box -413.5, 333, 0, -90, 18, 11.5, 20
        
        
        'Box -397, 376, 20, 0, 8, 28, 15
        'Box -417, 355.5 + (43 / 2), 20, 0, 8, 42, 15
        
        
        Box -417, 355.5, 0, 0, 12, 12, 52 - 22
        Box -417, 398.5, 0, 0, 12, 12, 52 - 22
        'Pyramid -417, 355.5 + (43 / 2), 52, 0, 12, 12, 24, True, True
       
        
        '' box at end:
        '' (now a placed garage structure)
        
        'Major tower to the west
        Const MT_X = -500
        Const MT_Y = 100
        Const mt_W = 6 * 12
        Const mt_Z = 15
        Const mt_theta = 0 '45
        Box MT_X, MT_Y, 0, mt_theta, mt_W - 4, mt_W - 4, mt_Z, "West tower base"
        Border_Block MT_X, MT_Y, 0, mt_W - 4, mt_W - 4, 0, 10, 6
        'Border_Block x, y, z, width, length, theta, borderwidth, borderheight
        'Hollow this  layer (1)
        Dim twidth
        twidth = mt_W - 12
        
'        Box -475, 77.5, 1 * mt_Z, mt_theta, twidth, (mt_W - 14) / 3#, mt_Z
'        Box -525, 128, 1 * mt_Z, mt_theta, twidth, (mt_W - (1 * 14)) / 3#, mt_Z
         
         Dim fullsize, dx, dy, dsizeX, dsizeY
         fullsize = mt_W - (1 * 12)
         hallsize = 12
         dsizeX = (fullsize - hallsize) / 2
         dsizeY = dsizeX
         dx = dsizeX + (hallsize / 2#)
         dy = dsizeX + (hallsize / 2#)
         Box MT_X + dx, MT_Y + dy, mt_Z, 0, dsizeX, dsizeX, 15
         Box MT_X + dx, MT_Y - dy, mt_Z, 0, dsizeX, dsizeX, 15
         Box MT_X - dx, MT_Y + dy, mt_Z, 0, dsizeX, dsizeX, 15
         Box MT_X - dx, MT_Y - dy, mt_Z, 0, dsizeX, dsizeX, 15
        
         'Roof this
         Dim rsize
         rsize = 12
         Box MT_X + dx, MT_Y, mt_Z + 13, 0, dsizeX, dsizeY, 2
         Box MT_X - dx, MT_Y, mt_Z + 13, 0, dsizeX, dsizeY, 2
         Box MT_X, MT_Y + dy, mt_Z + 13, 0, dsizeX, dsizeY, 2
         Box MT_X, MT_Y - dy, mt_Z + 13, 0, dsizeX, dsizeY, 2
         
        
'         Box -500, 77.5, 1 * mt_Z, mt_theta, twidth, (mt_W - 14) / 3#, mt_Z
'         Box -500, 128, 1 * mt_Z, mt_theta, twidth, (mt_W - (1 * 14)) / 3#, mt_Z
       
        For i = 2 To 4
            Box MT_X, MT_Y, i * mt_Z, mt_theta, mt_W - (i * 12), mt_W - (i * 14), mt_Z
        Next i
        Pyramid MT_X, MT_Y, 5 * mt_Z, mt_theta, 20, 16, 20, True, True, False
        
        'Ramp to this:
        Box -428, 217.5, 8, 68, 97.5, 10, 2
        
        
        'Heading south
        Box 118.5, -450, 13, -47, 10, 70, 2, "SouthRamp"
        
        '' box at end (MAIN BASE)
        Box 41, -537, 0, 0, 60, 45, 27, "SouthBox"
        Box 41, -537, 27 + 8, 0, 40, 30, 2, "Roof"
        Pyramid 41, -537, 37, 0, 13, 10, 25, False, True, False
        
        dx = 35
        dy = 25
        Box 41 + dx, -537 + dy, 27, 0, 2, 2, 8
        Box 41 + dx, -537 - dy, 27, 0, 2, 2, 8
        Box 41 - dx, -537 + dy, 27, 0, 2, 2, 8
        Box 41 - dx, -537 - dy, 27, 0, 2, 2, 8
        
        'border_block x, y, z, width, length, theta, bwidth, bheight
        Border_Block 41, -537, 0, 60, 45, 0, 20, 15 - 5
        
        dx = 55
        dy = 40
        Pyramid 41 + dx, -537 + dy, 27, 0, 5, 5, 30, False, True, False
        Pyramid 41 + dx, -537 - dy, 27, 0, 5, 5, 30, False, True, False
        Pyramid 41 - dx, -537 + dy, 27, 0, 5, 5, 30, False, True, False
        Pyramid 41 - dx, -537 - dy, 27, 0, 5, 5, 30, False, True, False

        
        Box -9, -474, 0, 0, 20, 20, 44, "SouthTower"
        Pyramid -9, -474, 44, 0, 20, 20, 20, False, True, False
        
        'Box -77 - 12, -522, 0, 0, 20, 20, 44 + 10, "SouthJump"
        Box -112, -532, 0, 0, 20, 20, 44 + 10, "SouthJump"
        Border_Block -112, -532, 0, 20, 20, 0, 10, 38
        
        Box -228, -412 - 20, 0, 0, 78, 12 + 20, 16
        Box -228, -412 - 20, 16, 0, 78 - 20, 12 + 20 - 10, 16
        
        
        define_component "Modified Central Tower"
            'box x, y, z, rot, sX, sY, sZ
'            Box -1, -2, 0, 0, 60, 60, 15
'            Box -1, -2, 0, 0, 50, 50, 30
            Box -1, -1, 0, 0, 40, 40, 65
            Box -2, 1, 0, 0, 30, 30, 80
            Const py_offset = 40 '64
            Pyramid -py_offset, py_offset, 0, 0, 8.2, 8.2, 125
            Pyramid py_offset, -py_offset, 0, 0, 8.2, 8.2, 125
            Pyramid -py_offset, -py_offset, 0, 0, 8.2, 8.2, 125
            Pyramid py_offset, py_offset, 0, 0, 8.2, 8.2, 125
        end_component
        
        Place_Component "Modified Central Tower", -490, -490, 0, 45, 1#
telestuff:
        teleporter_platform -562, -333, 80, 0, "New1"
        Teleporter -501, -83, 0, 0, 0.45, 12, 12, 1, "UpCentral"
        comment "New links"
        make_teleporter_link "New1", 1, "UpCentral", 2
        make_teleporter_link "UpCentral", 1, "New1", 2
        make_teleporter_link "New1", 2, "UpCentral", 1
        make_teleporter_link "UpCentral", 2, "New1", 1
''GoTo donestuff
       
       Place_Component "Minigarage", 530, 245, 0, 0, 1
       Pyramid 530, 245, 0, 0, 11, 11, 50, False, True, False, "Spike"
       Box 452, 245, 0, 0, 10, 10, 24 ''15
        'NorthEast: continue ramp
        Box 447.5, 230, 8, 77.5, 20, 8.5, 2, "Northeast ramp"
        Box 531, 246.5, 8, 0, 82, 7, 2
        
        
        
        ''Minor additions
        Box 544, -343, 13, -49, 100, 6, 2
               
        
        'Extend odd double thing ("rails")
        Box -32, 440, 9, 0, 1, 60, 1, 0
        Box -28, 440, 9, 0, 1, 60, 1, 0
        
        
        
       'Quick walls to mark map
'        Box 0, 600, 0, 0, 600, 2, 10
'        Box 0, -600, 0, 0, 600, 2, 10
'        Box 600, 0, 0, 0, 2, 600, 10
'        Box -600, 0, 0, 0, 2, 600, 10
        
        
        'Shot-reflecting structure
        define_component "dihedral_pyramid"
            Const psize = 10
            Pyramid psize, -psize, 0, 0, psize, psize, psize
            Pyramid -psize, psize, 0, 0, psize, psize, psize
            Box 0, 0, psize, 0, 2 * psize, 2 * psize, 2
        end_component
        
        Place_Component "dihedral_pyramid", 470, 0, 0, 0
        Place_Component "dihedral_pyramid", 560, -97.5, 0, 90, 1.2
        

        
        Box -30, 470, 0, 0, 15, 15, 10, "Marker"
        Const pOffset = 12
        Pyramid -30 - pOffset, 470 - pOffset, 0, 0, 5, 5, 40
        Pyramid -30 + pOffset, 470 - pOffset, 0, 0, 5, 5, 40
        
        Place_Component "Tower with bands", 60, 500, 0, 0
        
        Dim jtx
        jtx = -120
        Dim jty
        jty = 470
        Dim jpid
        jpid = 45
        Box jtx, jty, 0, 0, 30, 30, 40
        Border_Block jtx, jty, 0, 30, 30, 0, 15, 22
        Pyramid jtx + jpid, jty + jpid, 22, 0, 5, 5, 40
        Pyramid jtx - jpid, jty + jpid, 22, 0, 5, 5, 40
        Pyramid jtx + jpid, jty - jpid, 22, 0, 5, 5, 40
        Pyramid jtx - jpid, jty - jpid, 22, 0, 5, 5, 40
        
        Pyramid jtx + jpid, jty + jpid, 22 - 10, 0, 5, 5, -10
        Pyramid jtx - jpid, jty + jpid, 22 - 10, 0, 5, 5, -10
        Pyramid jtx + jpid, jty - jpid, 22 - 10, 0, 5, 5, -10
        Pyramid jtx - jpid, jty - jpid, 22 - 10, 0, 5, 5, -10
        
        
        Box -500, 500, 0, 0, 30, 30, 40
        Border_Block -500, 500, 0, 30, 30, 0, 30, 12
        Border_Block -500, 500, 0, 30, 30, 0, 20, 24
        Dim pblim
        pblim = 50
        Pyramid -500 + pblim, 500 + pblim, 0, 0, 8, 8, 100
        Pyramid -500 - pblim, 500 + pblim, 0, 0, 8, 8, 100
        Pyramid -500 + pblim, 500 - pblim, 0, 0, 8, 8, 100
        Pyramid -500 - pblim, 500 - pblim, 0, 0, 8, 8, 100
        
        'Connecting ramp
        Box (jtx - 500) / 2, (jty + 500) / 2, 38, 0, ((500 - jtx) / 2) - 100, 10, 2
        
        
        'Build slot again
        Box 282, 400 + 30, 0, 0, 30, 30, 20
        'wall to edge
        Box 282 + 16, 500, 0, 0, 10, 40, 20
        Box 282 + 16, 570 + 10, 0, 0, 10, 15 + 10, 20
        Const gx = 282 + 16
        Const gy = 550 - 2
        Const gdx = 8 + 1
        Const gdy = 8
        Pyramid gx + gdx, gy + gdy, 0, 0, 2, 2, 30
        Pyramid gx - gdx, gy + gdy, 0, 0, 2, 2, 30
        Pyramid gx + gdx, gy - gdy, 0, 0, 2, 2, 30
        Pyramid gx - gdx, gy - gdy, 0, 0, 2, 2, 30
        
        
        '4th quadrant
        Box 420, -420, 0, 0, 40, 30, 17
        Box 390, -440, 0, 0, 30, 24, 17 + 15
        Box 301, -450, 0, 20, 2#, 73.5, 10
        Box 334, -527, 0, 0, 20, 15, 17 + 15 + 15
        Border_Block 334, -527, 0, 20, 15, 0, 14, 18
        
        jtx = 334
        jty = -527
        jpid = 35
        Pyramid jtx + jpid, jty + jpid, 22, 0, 5, 5, 40
        Pyramid jtx - jpid, jty + jpid, 22, 0, 5, 5, 40
        Pyramid jtx + jpid, jty - jpid, 22, 0, 5, 5, 40
        Pyramid jtx - jpid, jty - jpid, 22, 0, 5, 5, 40
        
        Pyramid jtx + jpid, jty + jpid, 22 - 20, 0, 5, 5, -20
        Pyramid jtx - jpid, jty + jpid, 22 - 20, 0, 5, 5, -20
        Pyramid jtx + jpid, jty - jpid, 22 - 20, 0, 5, 5, -20
        Pyramid jtx - jpid, jty - jpid, 22 - 20, 0, 5, 5, -20
      
        jpid = 15
        Pyramid jtx + jpid, jty + jpid, 47, 0, 5, 5, 20
        Pyramid jtx - jpid, jty + jpid, 47, 0, 5, 5, 20
        Pyramid jtx + jpid, jty - jpid, 47, 0, 5, 5, 20
        Pyramid jtx - jpid, jty - jpid, 47, 0, 5, 5, 20
        
        Pyramid jtx + jpid, jty + jpid, 47 - 8, 0, 5, 5, -8
        Pyramid jtx - jpid, jty + jpid, 47 - 8, 0, 5, 5, -8
        Pyramid jtx + jpid, jty - jpid, 47 - 8, 0, 5, 5, -8
        Pyramid jtx - jpid, jty - jpid, 47 - 8, 0, 5, 5, -8
        
        'Box 445.5, -356.5, 30, -110, 89, 7.5, 2
        Box 443, -362, 30, -115.5, 89, 7.5, 2
        
        'Supports:
        Box 385, -229, 0, 0, 2, 2, 14
        Box 544, -343, 0, -49, 2, 2, 14
        
        ''Upper-right corner
        define_component "Temple"
            Const TempleWidth = 8 * 3
            Const TempleLength = 8 * 5
            Const TempleColSpace = 8
            Const templeHeight = 16
            Dim templeI, templeJ, templeX, templeY
            Box 0, 0, 16, 0, TempleWidth * 1.3, TempleLength * 1.1, 2
            For templeI = 0 To (2 * TempleWidth / TempleColSpace)
                templeX = -TempleWidth + templeI * TempleColSpace
                Box templeX, -TempleLength, 0, 0, 2, 2, templeHeight
                Box templeX, TempleLength, 0, 0, 2, 2, templeHeight
            Next templeI
            For templeJ = 0 To (2 * TempleLength / TempleColSpace)
                templeY = -TempleLength + templeJ * TempleColSpace
                Box -TempleWidth, templeY, 0, 0, 2, 2, templeHeight
                Box TempleWidth, templeY, 0, 0, 2, 2, templeHeight
            Next templeJ
            'inner sanctuary
            Box 0, TempleLength * 0.8, 0, 0, TempleLength * 0.3, 2, templeHeight
            Box -TempleWidth * 0.6, TempleLength * 0.4, 0, 0, 2, TempleLength * 0.4, templeHeight
            Box TempleWidth * 0.6, TempleLength * 0.4, 0, 0, 2, TempleLength * 0.4, templeHeight
'            Teleporter 0, templeLength * 0.6, 0, 0, 0.45, 6, 10, default_bsize, "Temple"
            Pyramid 0, -TempleLength, templeHeight + 2, 0, TempleWidth * 1.3, 4, templeHeight / 1.5
            Pyramid 0, TempleLength, templeHeight + 2, 0, TempleWidth * 1.3, 4, templeHeight / 1.5
'            Teleporter 0, 0, templeHeight + 2, 90, 0.45, 12, 8, default_bsize, "TempleRoof"
        
        end_component
        Place_Component "Temple", 530, 530, 0, 135 + 180
        
        Box 562, 380, 0, 0, 40, 25, 27
        Box 542.5, 316, 8, 73, 62, 7, 2
        
        ''Teleporters
'        Teleporter -500, -500, 0, 0, 0.45, 12, 10, default_bsize, "3rd quadrant 1"
'        Teleporter -271, -585, 0, 0, 0.45, 12, 10, default_bsize, "ALPHA"
'        Teleporter -500, 500, 40, 45 + 90, 0.45, 12, 10, default_bsize, "1st quadrant"
'        Teleporter 500, -500, 0, 135, 0.45, 12, 10, default_bsize, "BETA" '"4th quadrant"
'        Teleporter 560, -180, 0, 50, 0.45, 12, 10, default_bsize, "Back"
'        Teleporter 180, 550, 0, 120, 0.45, 12, 10, default_bsize, "1st quadrant"
        
        'Teleporter connections
'        make_teleporter_link "Temple", 1, "3rd quadrant 1", 1
'        make_teleporter_link "Temple", 2, "2nd quadrant", 1
'        make_teleporter_link "TempleRoof", 1, "4th quadrant", 1
'        make_teleporter_link "TempleRoof", 2, "ALPHA", 1
'        make_teleporter_link "New1", 2, "TempleRoof", 1
'        make_teleporter_link "UpCentral", 2, "Back", 1
'        make_teleporter_link "3rd quadrant 1", 1, "2nd quadrant", 1
'        make_teleporter_link "3rd quadrant 1", 2, "2nd quadrant", 2
        
'        make_teleporter_link "ALPHA", 1, "BETA", 1
'        make_teleporter_link "ALPHA", 2, "BETA", 2
'        make_teleporter_link "BETA", 1, "ALPHA", 1
'        make_teleporter_link "BETA", 2, "ALPHA", 2
        
'        make_teleporter_link "2nd quadrant", 1, "3rd quadrant 1", 2
'        make_teleporter_link "2nd quadrant", 2, "4th quadrant", 2
'        make_teleporter_link "4th quadrant", 1, "2nd quadrant", 1
'        make_teleporter_link "4th quadrant", 2, "3rd quadrant 1", 1
'        make_teleporter_link "Back", 1, "1st quadrant", 1
'        make_teleporter_link "Back", 2, "ALPHA", 1
'        make_teleporter_link "1st quadrant", 1, "TempleRoof", 1
'        make_teleporter_link "1st quadrant", 2, "2nd quadrant", 1
        
        'Pyramids
        Dim PyDensity As Double
        Dim pCount As Double
        Dim pArea As Double
        
        PyDensity = 64# / (800# * 800#) 'From original map, with 64 pyramids.
        
        'Break the new border into regions; compute area, count for each
        pArea = 2# * 600# * 200#
        pCount = PyDensity * pArea
        
        
        'Break the new border into regions; compute area, count for each
        pArea = 2# * 600# * 200#
        pCount = PyDensity * pArea * 1.2 '1.2 for bldgs
        
        Randomize (8) 'For repeatability.
        Uniform_Random_Pyramids 0, 500, pCount, 600, 100, 8.2, 10.25
        Randomize (9) 'For repeatability.
        Uniform_Random_Pyramids 0, -500, pCount, 600, 100, 8.2, 10.25
       
        pArea = 400# * 200#
        pCount = PyDensity * pArea * 1.7 '1.2 for buildings
        Randomize (11) 'For repeatability.
        Uniform_Random_Pyramids 500, 0, pCount, 100, 400, 8.2, 10.25
        
        Randomize (12) 'For repeatability.
        Uniform_Random_Pyramids -500, 0, pCount, 100, 400, 8.2, 10.25
                        
        define_component "Pyramid Stack"
            dx = 145
            dy = 105
            Box 145 - dx, 105 - dy, 15, 0, 28, 38, 1
            Box 145 - dx, 105 - dy, 31, 0, 28, 38, 1
            Pyramid 131 - dx, 80 - dy, 0, 0, 8.2, 8.2, 15, False, False, False
            Pyramid 131 - dx, 105 - dy, 0, 0, 8.2, 8.2, 15, False, False, False
            Pyramid 131 - dx, 130 - dy, 0, 0, 8.2, 8.2, 15, False, False, False
            Pyramid 161 - dx, 80 - dy, 0, 0, 8.2, 8.2, 15, False, False, False
            Pyramid 161 - dx, 105 - dy, 0, 0, 8.2, 8.2, 15, False, False, False
            Pyramid 161 - dx, 130 - dy, 0, 0, 8.2, 8.2, 15, False, False, False
            
            Pyramid 131 - dx, 80 - dy, 16, 0, 8.2, 8.2, 15, True, True, False
            Pyramid 131 - dx, 105 - dy, 16, 0, 8.2, 8.2, 15, True, True, False
            Pyramid 131 - dx, 130 - dy, 16, 0, 8.2, 8.2, 15, True, True, False
            Pyramid 161 - dx, 80 - dy, 16, 0, 8.2, 8.2, 15, True, True, False
            Pyramid 161 - dx, 105 - dy, 16, 0, 8.2, 8.2, 15, True, True, False
            Pyramid 161 - dx, 130 - dy, 16, 0, 8.2, 8.2, 15, True, True, False

        end_component
        Place_Component "Pyramid Stack", 200, 564, 0, 90
        
        Place_Component "Pyramid Stack", -540, -210, 0, 90, 1#
        
        'Repeat central tower
        define_component "Aux Tower"
            Box 0, 0, 0, 0, 47.5, 47.5, 24
            Box 0, 0, 0, 0, 35, 35, 34
            Box 0, 0, 0, 0, 20, 20, 44
            Box 0, 0, 0, 0, 10, 10, 54
        end_component
        
        Place_Component "Aux Tower", -529, 283, 0, 0
        
        
        Box 140, 407, 0, 0, 88, 6.5, 20
        Box 239, 407, 18, 0, 14, 6.5, 2
        Box 50, 412, 0, 0, 12, 12, 35
        
        Box 388, 410, 0, 0, 20, 10, 12
        Box 420, 380, 0, 0, 20, 20, 12
        Box 423, 418, 0, 0, 23, 18, 28
        Pyramid 423, 418, 28, 0, 12.5, 9, 14, True, True, False
skip:
donestuff:
        Analyze_Teleporters
        Close_Output_File

End Sub
